robotpkg/wip bulk build results

Log for Fedora-27-x86_64 (Back)

--- Syncing bulk database ---------------------------------------- setting Fedora-27-x86_64 as running --- Updating robotpkg -------------------------------------------- Pulling /local/robotpkg/var/lib/robotpkg/wip From git://git.openrobots.org/robots/robotpkg/robotpkg-wip 86e9d90..f5fbecf master -> origin/master HEAD is now at f5fbecf [wip/cppadcodegen] add patch-aa to fix configure on fedora Updating pkgtools/pkg_install ===> Updating for pkg_install-20110805.9 pkg_install-20110805.9 is already installed and up-to-date. Updating pkgtools/rbulkit ===> Updating for rbulkit-20181122 rbulkit-20181122 is already installed and up-to-date. --- Running build for bulk-rbulk-wip ------------------------------- ===> Sorting packages for rbulk wip set Scanning wip/py-mavlink:* Scanning wip/head-action:* Scanning pkgtools/tnftp:tnftp>=20130505~ssl Scanning wip/py-sot-core-v3:* Scanning wip/talos-robot:* Scanning wip/orocos-dot_service:* Scanning wip/soth:* Scanning wip/cppad:* Scanning wip/py-sot-tools-v3:* Scanning wip/urg:* Scanning wip/gerard-bauzil:* Scanning wip/hrp2-computer-monitor:* Scanning wip/pal-statistics:* Scanning wip/move3d-studio:* Scanning wip/talos-dev:* Scanning wip/pal-hardware-gazebo:* Scanning wip/infuse-msgs-ros:* Scanning wip/sot-hrp2:* Scanning wip/move3d-assets:* Scanning wip/py-dynamic-graph-v3:* Scanning wip/infuse-idl:* Scanning wip/morse-hla:* Scanning wip/talos-simulation:* Scanning wip/libmove3d-hri:* Scanning wip/sot-core-v3:* Scanning wip/msgconnector:* Scanning wip/talos-data:* Scanning wip/ros-swri-math-util:* Scanning wip/FRILibrary:* Scanning wip/roscontrol-sot:* Scanning wip/talos-moveit-config:* Scanning wip/cppadcodegen:* Scanning wip/dynamic-graph-tutorial:* Scanning wip/py-example-adder:* Scanning wip/openhrp3-hrp2:* Scanning wip/sot-dyninv:* Scanning wip/dptu-genom3:* Scanning wip/libmove3d:* Scanning wip/py-jsbsim:* Scanning wip/pmb2-robot:* Scanning wip/py-sot-torque-control:* Scanning wip/morse-mavlink:* Scanning wip/infuse-novatel-gps-driver-ros:* Scanning wip/ros-swri-roscpp:* Scanning wip/parametric-curves:* Scanning wip/hpp-environments:* Scanning wip/libmove3d-planners:* Scanning wip/talos-metapkg-ros-control-sot:* Scanning wip/example-adder:* Scanning wip/gdalwrap:* Scanning wip/infuse-asn1-conversions:* Scanning wip/py-sot-dyninv-v3:* Scanning wip/infuse-envire:* Scanning wip/pal-gazebo-plugins:* Scanning wip/pal-hardware-interfaces:* Scanning wip/dynamic-introspection:* Scanning wip/pal-transmissions:* Scanning wip/hrp2-bringup:* Scanning wip/prf-gazebo-ros-pkgs:* Scanning wip/sot-torque-control:* Scanning wip/antlr2:* Scanning wip/mavlink:* Scanning wip/rqt-dynamic-graph:* Scanning wip/libnabo:* Scanning wip/pal-gripper:* Scanning wip/spark-genom:* Scanning wip/sot-tools-v3:* Scanning wip/ur5-description:* [wip/ur5-description:*] Warning: the LICENSE of wip/ur5-description is undefined. Scanning wip/osg-dae:* Scanning wip/pal-msgs:* Scanning wip/backward-ros:* Scanning wip/sot-dynamic-pinocchio-v3:* Scanning wip/ros-swri-string-util:* Scanning wip/openhrp3-simulator-wo-rtm:* Scanning wip/hrp2-14-description:* Scanning wip/prf-ros-controllers:* Scanning wip/eigen-quadprog:* Scanning wip/ros-swri-nodelet:* Scanning wip/py-mraa:* Scanning wip/prf-ros-control:* Scanning wip/octovis:* Scanning wip/py-parametric-curves:* Scanning wip/py-sot-dynamic-pinocchio-v3:* Scanning wip/py-dynamic-graph-tutorial:* Scanning wip/infuse-asn1-types:* Scanning wip/jsbsim:* Scanning wip/ros-swri-serial-util:* Scanning wip/pyrene-motions:* Scanning wip/play-motion:* Scanning wip/hatponboard-lib:* Scanning wip/hrp2-dev:* Scanning wip/orocos-yarp_transport:* Scanning middleware/orocos-rtt:orocos-rtt>=2.5 Scanning wip/sot-dyninv-v3:* Scanning wip/can-utils:* Scanning wip/pal-gazebo-worlds:* Scanning wip/libhatp:* Scanning wip/tsid:* Scanning wip/roralink:* Scanning wip/metapod:* [wip/metapod:*] Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. [wip/metapod:*] Warning: use DYNAMIC_PLIST_DIRS instead. Scanning wip/py-dynamic-graph-bridge-v3:* Scanning wip/sot-pattern-generator-v3:* Scanning wip/jrl-walkgen-v3:* Scanning wip/simple-humanoid-description:* Scanning wip/prf-roboticsgroup-gazebo-plugins:* Scanning wip/certi:* Scanning wip/tf-lookup:* Scanning wip/ompl:* Scanning wip/sot-hrp2-v3:* Scanning wip/tiago-robot:* Scanning wip/dynamic-graph-v3:* Scanning wip/morse-ros:* Scanning wip/sot-talos:* Scanning wip/mumps:* Scanning wip/histodet:* Scanning wip/py-sot-pattern-generator-v3:* Scanning wip/orocos-bfl:* Scanning wip/py-hla:* Scanning wip/hrp2-machine:* Scanning wip/py-sot-application-v3:* Scanning wip/py-morse:* Scanning wip/lua-rfsm:* Scanning wip/py-morse:py37-morse-1.4 Scanning wip/py-morse:py35-morse-1.4 Scanning wip/py-morse:py34-morse-1.4 Scanning wip/py-morse:py32-morse-1.4 Scanning wip/py-sot-application-v3:py37-sot-application-v3-1.2.0r2 Scanning wip/py-sot-application-v3:py36-sot-application-v3-1.2.0r2 Scanning wip/py-sot-application-v3:py35-sot-application-v3-1.2.0r2 Scanning wip/py-sot-application-v3:py34-sot-application-v3-1.2.0r2 Scanning wip/py-sot-application-v3:py32-sot-application-v3-1.2.0r2 Scanning wip/py-hla:py37-hla-1.1.1r1 Scanning wip/py-hla:py36-hla-1.1.1r1 Scanning wip/py-hla:py35-hla-1.1.1r1 Scanning wip/py-hla:py34-hla-1.1.1r1 Scanning wip/py-hla:py32-hla-1.1.1r1 Scanning wip/py-sot-pattern-generator-v3:py37-sot-pattern-generator-v3-3.1.0 Scanning wip/py-sot-pattern-generator-v3:py36-sot-pattern-generator-v3-3.1.0 Scanning wip/py-sot-pattern-generator-v3:py35-sot-pattern-generator-v3-3.1.0 Scanning wip/py-sot-pattern-generator-v3:py34-sot-pattern-generator-v3-3.1.0 Scanning wip/py-sot-pattern-generator-v3:py32-sot-pattern-generator-v3-3.1.0 Scanning wip/py-dynamic-graph-bridge-v3:py37-dynamic-graph-bridge-v3-3.2.0 Scanning wip/py-dynamic-graph-bridge-v3:py36-dynamic-graph-bridge-v3-3.2.0 Scanning wip/py-dynamic-graph-bridge-v3:py35-dynamic-graph-bridge-v3-3.2.0 Scanning wip/py-dynamic-graph-bridge-v3:py34-dynamic-graph-bridge-v3-3.2.0 Scanning wip/py-dynamic-graph-bridge-v3:py32-dynamic-graph-bridge-v3-3.2.0 Scanning wip/py-dynamic-graph-tutorial:py37-dynamic-graph-tutorial-1.1.1 Scanning wip/py-dynamic-graph-tutorial:py36-dynamic-graph-tutorial-1.1.1 Scanning wip/py-dynamic-graph-tutorial:py35-dynamic-graph-tutorial-1.1.1 Scanning wip/py-dynamic-graph-tutorial:py34-dynamic-graph-tutorial-1.1.1 Scanning wip/py-dynamic-graph-tutorial:py32-dynamic-graph-tutorial-1.1.1 Scanning wip/py-sot-dynamic-pinocchio-v3:py37-sot-dynamic-pinocchio-v3-3.2.4 Scanning wip/py-sot-dynamic-pinocchio-v3:py36-sot-dynamic-pinocchio-v3-3.2.4 Scanning wip/py-sot-dynamic-pinocchio-v3:py35-sot-dynamic-pinocchio-v3-3.2.4 Scanning wip/py-sot-dynamic-pinocchio-v3:py34-sot-dynamic-pinocchio-v3-3.2.4 Scanning wip/py-sot-dynamic-pinocchio-v3:py32-sot-dynamic-pinocchio-v3-3.2.4 Scanning wip/py-parametric-curves:py37-parametric-curves-1.2.0 Scanning wip/py-parametric-curves:py36-parametric-curves-1.2.0 Scanning wip/py-parametric-curves:py35-parametric-curves-1.2.0 Scanning wip/py-parametric-curves:py34-parametric-curves-1.2.0 Scanning wip/py-parametric-curves:py32-parametric-curves-1.2.0 Scanning wip/rqt-dynamic-graph:py37-rqt-dynamic-graph-1.0.0 Scanning wip/rqt-dynamic-graph:py36-rqt-dynamic-graph-1.0.0 Scanning wip/rqt-dynamic-graph:py35-rqt-dynamic-graph-1.0.0 Scanning wip/rqt-dynamic-graph:py34-rqt-dynamic-graph-1.0.0 Scanning wip/rqt-dynamic-graph:py32-rqt-dynamic-graph-1.0.0 Scanning wip/py-sot-dyninv-v3:py37-sot-dyninv-v3-3.1.1r1 Scanning wip/py-sot-dyninv-v3:py36-sot-dyninv-v3-3.1.1r1 Scanning wip/py-sot-dyninv-v3:py35-sot-dyninv-v3-3.1.1r1 Scanning wip/py-sot-dyninv-v3:py34-sot-dyninv-v3-3.1.1r1 Scanning wip/py-sot-dyninv-v3:py32-sot-dyninv-v3-3.1.1r1 Scanning wip/py-sot-torque-control:py37-sot-torque-control-1.2.0 Scanning wip/py-sot-torque-control:py36-sot-torque-control-1.2.0 Scanning wip/py-sot-torque-control:py35-sot-torque-control-1.2.0 Scanning wip/py-sot-torque-control:py34-sot-torque-control-1.2.0 Scanning wip/py-sot-torque-control:py32-sot-torque-control-1.2.0 Scanning wip/py-jsbsim:py37-jsbsim-20150424r1 Scanning wip/py-jsbsim:py36-jsbsim-20150424r1 Scanning wip/py-jsbsim:py35-jsbsim-20150424r1 Scanning wip/py-jsbsim:py34-jsbsim-20150424r1 Scanning wip/py-jsbsim:py32-jsbsim-20150424r1 Scanning wip/dptu-genom3:dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* Scanning wip/dptu-genom3:dptu-genom3-0.2~codels+pocolibs-client-c+openprs+pocolibs-server+!* Scanning wip/py-example-adder:py37-example-adder-1.0.0 Scanning wip/py-example-adder:py36-example-adder-1.0.0 Scanning wip/py-example-adder:py35-example-adder-1.0.0 Scanning wip/py-example-adder:py34-example-adder-1.0.0 Scanning wip/py-example-adder:py32-example-adder-1.0.0 Scanning wip/py-dynamic-graph-v3:py37-dynamic-graph-v3-3.2.0 Scanning wip/py-dynamic-graph-v3:py36-dynamic-graph-v3-3.2.0 Scanning wip/py-dynamic-graph-v3:py35-dynamic-graph-v3-3.2.0 Scanning wip/py-dynamic-graph-v3:py34-dynamic-graph-v3-3.2.0 Scanning wip/py-dynamic-graph-v3:py32-dynamic-graph-v3-3.2.0 Scanning wip/py-sot-tools-v3:py37-sot-tools-v3-2.1.0 Scanning wip/py-sot-tools-v3:py36-sot-tools-v3-2.1.0 Scanning wip/py-sot-tools-v3:py35-sot-tools-v3-2.1.0 Scanning wip/py-sot-tools-v3:py34-sot-tools-v3-2.1.0 Scanning wip/py-sot-tools-v3:py32-sot-tools-v3-2.1.0 Scanning wip/py-sot-core-v3:py37-sot-core-v3-3.3.0 Scanning wip/py-sot-core-v3:py36-sot-core-v3-3.3.0 Scanning wip/py-sot-core-v3:py35-sot-core-v3-3.3.0 Scanning wip/py-sot-core-v3:py34-sot-core-v3-3.3.0 Scanning wip/py-sot-core-v3:py32-sot-core-v3-3.3.0 Scanning wip/py-mavlink:py37-mavlink-1.1.62 Scanning wip/py-mavlink:py36-mavlink-1.1.62 Scanning wip/py-mavlink:py35-mavlink-1.1.62 Scanning wip/py-mavlink:py34-mavlink-1.1.62 Scanning wip/py-mavlink:py32-mavlink-1.1.62 Scanned 350 packages (299 unique) [28%] Processing wip/ompl:ompl-1.0.0 ===> Bulk building for ompl-1.0.0 Binary package for ompl-1.0.0 is up-to-date. [29%] Processing wip/certi:certi-3.5.1 ===> Bulk building for certi-3.5.1 Binary package for certi-3.5.1 is up-to-date. [29%] Processing wip/tf-lookup:tf-lookup-0.0.1r1 ===> Bulk building for tf-lookup-0.0.1r1 Binary package for tf-lookup-0.0.1r1 is up-to-date. [29%] Processing wip/dynamic-graph-v3:dynamic-graph-v3-3.2.0 ===> Bulk building for dynamic-graph-v3-3.2.0 Binary package for dynamic-graph-v3-3.2.0 is up-to-date. [30%] Processing wip/morse-ros:morse-ros-1.4 ===> Cleaning temporary files for morse-ros-1.4 ===> Bulk building for morse-ros-1.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/morse-1.4~doc.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/py36-catkin-pkg-0.2.4.tgz => Required system package py36-yaml>=3: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for morse-ros-1.4: ERROR: ERROR: py36-yaml>=3 ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/morse-ros/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for morse-ros-1.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for morse-ros-1.4 ===> Done bulk for morse-ros-1.4 [31%] Processing wip/orocos-bfl:orocos-bfl-0.8.0 ===> Bulk building for orocos-bfl-0.8.0 Binary package for orocos-bfl-0.8.0 is up-to-date. [31%] Processing wip/histodet:histodet-1.0r2 ===> Bulk building for histodet-1.0r2 Binary package for histodet-1.0r2 is up-to-date. [32%] Processing wip/mumps:mumps-4.10.0 ===> Bulk building for mumps-4.10.0 Binary package for mumps-4.10.0 is up-to-date. [33%] Processing wip/py-hla:py36-hla-1.1.1r1 ===> Cleaning temporary files for py36-hla-1.1.1r1 ===> Bulk building for py36-hla-1.1.1r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/certi-3.5.1.tgz => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.6: python>=2.5<3.8 provided by python36>=3.6<3.7 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package libstdc++: libstdc++ found => Required system package python36>=3.6<3.7: python36-3.6.6 found => Required robotpkg package certi>=3.4.0: certi-3.5.1 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for py36-hla-1.1.1r1 => Compiling python files robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/__pycache__/__init__.cpython-36.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/__init__.cpython-36.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/array.cpython-36.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/basic.cpython-36.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/enumerated.cpython-36.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/record.cpython-36.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/rti/__pycache__/__init__.cpython-36.pyo' => Registering installation for py36-hla-1.1.1r1 robotpkg_admin: py36-hla-1.1.1r1: File `/opt/openrobots/lib/python3.6/site-packages/hla/__pycache__/__init__.cpython-36.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-hla-1.1.1r1: File `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/__init__.cpython-36.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-hla-1.1.1r1: File `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/array.cpython-36.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-hla-1.1.1r1: File `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/basic.cpython-36.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-hla-1.1.1r1: File `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/enumerated.cpython-36.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-hla-1.1.1r1: File `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/record.cpython-36.pyo' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-hla-1.1.1r1: File `/opt/openrobots/lib/python3.6/site-packages/hla/rti/__pycache__/__init__.cpython-36.pyo' is in +CONTENTS but not on filesystem! robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/__pycache__/__init__.cpython-36.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/__init__.cpython-36.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/array.cpython-36.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/basic.cpython-36.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/enumerated.cpython-36.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/record.cpython-36.pyo' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/hla/rti/__pycache__/__init__.cpython-36.pyo' robotpkg_create: lstat failed for file lib/python3.6/site-packages/hla/__pycache__/__init__.cpython-36.pyo: No such file or directory make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:74: pkg-tarup] Error 2 => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/pub => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/jrl => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/pal make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/package/package.mk:147: package-failed] Error 2 => Marking py36-hla-1.1.1r1 as broken ERROR: make: *** [package] Error 2 robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/hla/__pycache__/__init__.cpython-36.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/__init__.cpython-36.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/array.cpython-36.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/basic.cpython-36.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/enumerated.cpython-36.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/hla/omt/__pycache__/record.cpython-36.pyo robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/hla/rti/__pycache__/__init__.cpython-36.pyo ===> Logging bulk summary for py36-hla-1.1.1r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-hla-1.1.1r1 ===> Done bulk for py36-hla-1.1.1r1 [33%] Processing wip/py-hla:py27-hla-1.1.1r1 ===> Bulk building for py27-hla-1.1.1r1 Binary package for py27-hla-1.1.1r1 is up-to-date. [34%] Processing wip/py-hla:py32-hla-1.1.1r1 ===> Bulk building for py32-hla-1.1.1r1 Binary package for py32-hla-1.1.1r1 is up-to-date. [34%] Processing wip/py-hla:py34-hla-1.1.1r1 ===> Bulk building for py34-hla-1.1.1r1 Binary package for py34-hla-1.1.1r1 is up-to-date. [34%] Processing wip/py-hla:py35-hla-1.1.1r1 ===> Bulk building for py35-hla-1.1.1r1 Binary package for py35-hla-1.1.1r1 is up-to-date. [35%] Processing wip/py-hla:py37-hla-1.1.1r1 ===> Bulk building for py37-hla-1.1.1r1 Binary package for py37-hla-1.1.1r1 is up-to-date. [35%] Processing wip/py-morse:py32-morse-1.4 ===> Bulk building for py32-morse-1.4 Binary package for py32-morse-1.4 is up-to-date. [35%] Processing wip/py-morse:py34-morse-1.4 ===> Bulk building for py34-morse-1.4 Binary package for py34-morse-1.4 is up-to-date. [36%] Processing wip/py-morse:py35-morse-1.4 ===> Bulk building for py35-morse-1.4 Binary package for py35-morse-1.4 is up-to-date. [36%] Processing wip/py-morse:py36-morse-1.4 ===> Bulk building for py36-morse-1.4 Binary package for py36-morse-1.4 is up-to-date. [36%] Processing wip/py-morse:py37-morse-1.4 ===> Bulk building for py37-morse-1.4 Binary package for py37-morse-1.4 is up-to-date. [37%] Processing wip/hrp2-machine:hrp2-machine-1.0.2 ===> Bulk building for hrp2-machine-1.0.2 Binary package for hrp2-machine-1.0.2 is up-to-date. [37%] Processing wip/lua-rfsm:lua-rfsm-20131212.44fcec2db5r2 ===> Bulk building for lua-rfsm-20131212.44fcec2db5r2 Binary package for lua-rfsm-20131212.44fcec2db5r2 is up-to-date. [38%] Processing wip/py-mavlink:py27-mavlink-1.1.62 ===> Bulk building for py27-mavlink-1.1.62 Binary package for py27-mavlink-1.1.62 is up-to-date. [38%] Processing wip/py-mavlink:py32-mavlink-1.1.62 ===> Bulk building for py32-mavlink-1.1.62 Binary package for py32-mavlink-1.1.62 is up-to-date. [38%] Processing wip/py-mavlink:py34-mavlink-1.1.62 ===> Bulk building for py34-mavlink-1.1.62 Binary package for py34-mavlink-1.1.62 is up-to-date. [39%] Processing wip/py-mavlink:py35-mavlink-1.1.62 ===> Bulk building for py35-mavlink-1.1.62 Binary package for py35-mavlink-1.1.62 is up-to-date. [39%] Processing wip/py-mavlink:py36-mavlink-1.1.62 ===> Cleaning temporary files for py36-mavlink-1.1.62 ===> Bulk building for py36-mavlink-1.1.62 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package git>=1.6: git-2.14.5 found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.6: python>=2.5<3.8 provided by python36>=3.6<3.7 => Required system package gcc>=3: gcc-7 found => Required system package python36>=3.6<3.7: python36-3.6.6 found => SHA1 checksums OK => RMD160 checksums OK => Compiling python files File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__init__.py", line 81 raise AttributeError, "Unknown XML interface: %s" %(xmlIf) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmlif4Dom.py", line 58 print "Using 4Dom interface module..." ^ SyntaxError: Missing parentheses in call to 'print'. Did you mean print("Using 4Dom interface module...")? File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmlifApi.py", line 370 raise AttributeError, "Attribute %s not found!" %(repr(tupleOrAttrName)) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmlifDom.py", line 69 print "Xinclude: %s" %href ^ SyntaxError: Missing parentheses in call to 'print'. Did you mean print("Xinclude: %s" %href)? File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmlifElementTree.py", line 72 print "Using elementtree interface module..." ^ SyntaxError: Missing parentheses in call to 'print'. Did you mean print("Using elementtree interface module...")? File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmlifMinidom.py", line 63 print "Using minidom interface module..." ^ SyntaxError: Missing parentheses in call to 'print'. Did you mean print("Using minidom interface module...")? File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmlifUtils.py", line 193 raise LookupError, "Prefix for namespaceURI '%s' not found!" % (ns) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmliftest.py", line 12 print xmlTree.printTree(prettyPrint=1) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/minixsvWrapper.py", line 36 print validSyntaxText ^ SyntaxError: Missing parentheses in call to 'print'. Did you mean print(validSyntaxText)? File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/pyxsval.py", line 93 raise KeyError, "xmlIfKey %s already implemented!" %(xmlIfKey) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/xsvalBase.py", line 135 except TagException, errInst: ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/xsvalErrorHandler.py", line 122 print string.join (self.infoDict.keys(), "n") ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/xsvalSchema.py", line 431 except TagException, errInst: ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/xsvalSimpleTypes.py", line 78 except BaseTypeError, errstr: ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/xsvalUtils.py", line 48 r"Cc" : ur"x00-x1fx7f-x9f", ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__init__.py", line 81 raise AttributeError, "Unknown XML interface: %s" %(xmlIf) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmlif4Dom.py", line 58 print "Using 4Dom interface module..." ^ SyntaxError: Missing parentheses in call to 'print'. Did you mean print("Using 4Dom interface module...")? File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmlifApi.py", line 370 raise AttributeError, "Attribute %s not found!" %(repr(tupleOrAttrName)) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmlifDom.py", line 69 print "Xinclude: %s" %href ^ SyntaxError: Missing parentheses in call to 'print'. Did you mean print("Xinclude: %s" %href)? File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmlifElementTree.py", line 72 print "Using elementtree interface module..." ^ SyntaxError: Missing parentheses in call to 'print'. Did you mean print("Using elementtree interface module...")? File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmlifMinidom.py", line 63 print "Using minidom interface module..." ^ SyntaxError: Missing parentheses in call to 'print'. Did you mean print("Using minidom interface module...")? File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmlifUtils.py", line 193 raise LookupError, "Prefix for namespaceURI '%s' not found!" % (ns) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/xmliftest.py", line 12 print xmlTree.printTree(prettyPrint=1) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/minixsvWrapper.py", line 36 print validSyntaxText ^ SyntaxError: Missing parentheses in call to 'print'. Did you mean print(validSyntaxText)? File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/pyxsval.py", line 93 raise KeyError, "xmlIfKey %s already implemented!" %(xmlIfKey) ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/xsvalBase.py", line 135 except TagException, errInst: ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/xsvalErrorHandler.py", line 122 print string.join (self.infoDict.keys(), "n") ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/xsvalSchema.py", line 431 except TagException, errInst: ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/xsvalSimpleTypes.py", line 78 except BaseTypeError, errstr: ^ SyntaxError: invalid syntax File "/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/xsvalUtils.py", line 48 r"Cc" : ur"x00-x1fx7f-x9f", ^ SyntaxError: invalid syntax robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/mavnative.so' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-36.opt-1.pyc' => Registering installation for py36-mavlink-1.1.62 robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/mavnative.so' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-36.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: py36-mavlink-1.1.62: File `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-36.opt-1.pyc' is in +CONTENTS but not on filesystem! robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/mavnative.so' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-36.opt-1.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-36.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-36.opt-1.pyc' robotpkg_create: lstat failed for file lib/python3.6/site-packages/mavnative.so: No such file or directory make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:74: pkg-tarup] Error 2 => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/pub => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/jrl => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/pal make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/package/package.mk:147: package-failed] Error 2 => Marking py36-mavlink-1.1.62 as broken ERROR: make: *** [package] Error 2 robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/mavnative.so robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/__init__.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlif4Dom.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifApi.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifDom.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifElementTree.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifMinidom.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmlifUtils.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/genxmlif/__pycache__/xmliftest.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/minixsvWrapper.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/pyxsval.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalBase.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalErrorHandler.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSchema.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalSimpleTypes.cpython-36.opt-1.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-36.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.6/site-packages/pymavlink/generator/lib/minixsv/__pycache__/xsvalUtils.cpython-36.opt-1.pyc robotpkg_delete: Directory `/opt/openrobots/share/mavlink' disappeared, skipping ===> Logging bulk summary for py36-mavlink-1.1.62 => Checking leftover files WARNING: 1 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-mavlink-1.1.62 ===> Done bulk for py36-mavlink-1.1.62 [39%] Processing wip/py-mavlink:py37-mavlink-1.1.62 ===> Bulk building for py37-mavlink-1.1.62 Binary package for py37-mavlink-1.1.62 is up-to-date. [40%] Processing wip/head-action:head-action-0.0.1r4 ===> Bulk building for head-action-0.0.1r4 Binary package for head-action-0.0.1r4 is up-to-date. [40%] Processing wip/talos-robot:talos-robot-1.0.2 ===> Bulk building for talos-robot-1.0.2 Binary package for talos-robot-1.0.2 is up-to-date. [40%] Processing wip/soth:soth-2.0.3 ===> Cleaning temporary files for soth-2.0.3 ===> Bulk building for soth-2.0.3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.13 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | ^ | /local/robotpkg/var/tmp/robotpkg/wip/soth/work/soth-2.0.3/include/soth/SubMatrix.hpp:624:20: note: in call to 'Eigen::SubMatrix::Scalar& Eigen::SubMatrix::coeffRef(Eigen::Index, Eigen::Index) [with MatrixType = Eigen::Matrix; int PermutationType = 0; bool IsSub = true; Eigen::SubMatrix::Scalar = double; Eigen::Index = long int]' | inline Scalar& coeffRef(Index row, Index col) | ^~~~~~~~ | make[2]: *** [src/CMakeFiles/soth.dir/build.make:157: src/CMakeFiles/soth.dir/Stage.cpp.o] Error 1 | make[2]: *** Waiting for unfinished jobs.... | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/soth/work/soth-2.0.3' | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/soth/work/soth-2.0.3' | make[1]: *** [CMakeFiles/Makefile2:537: src/CMakeFiles/soth.dir/all] Error 2 | make: *** [Makefile:166: all] Error 2 For details or bug reports, check the complete log file in: => Marking soth-2.0.3 as broken /local/robotpkg/var/tmp/robotpkg/wip/soth/work/build.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/build/build.mk:199: do-build] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for soth-2.0.3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for soth-2.0.3 ===> Done bulk for soth-2.0.3 [41%] Processing wip/cppad:CppAD-20180000.0 ===> Bulk building for CppAD-20180000.0 Binary package for CppAD-20180000.0 is up-to-date. [41%] Processing wip/gerard-bauzil:gerard-bauzil-1.0.1 ===> Cleaning temporary files for gerard-bauzil-1.0.1 ===> Bulk building for gerard-bauzil-1.0.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/gepetto-viewer-4.2.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required robotpkg package gepetto-viewer>=4.2: gepetto-viewer-4.2.0 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/gerard-bauzil.pc' => Registering installation for gerard-bauzil-1.0.1 robotpkg_admin: gerard-bauzil-1.0.1: File `/opt/openrobots/lib/pkgconfig/gerard-bauzil.pc' is in +CONTENTS but not on filesystem! robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/gerard-bauzil.pc' robotpkg_create: lstat failed for file lib/pkgconfig/gerard-bauzil.pc: No such file or directory make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:74: pkg-tarup] Error 2 ERROR: This package cannot be extracted for the following reason: ERROR: ====================================================================== ERROR: A lib64 directory may not exist in LOCALBASE. ERROR: Having a lib64 directory within the robotpkg installation ERROR: tree is not supported. Please remove ERROR: /opt/openrobots/lib64 ERROR: ERROR: ====================================================================== make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/internal/can-be-built-here.mk:204: cbeh] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/package/package.mk:147: package-failed] Error 2 => Marking gerard-bauzil-1.0.1 as broken ERROR: make: *** [package] Error 2 robotpkg_delete: Couldn't remove /opt/openrobots/lib/pkgconfig/gerard-bauzil.pc ===> Logging bulk summary for gerard-bauzil-1.0.1 => Checking leftover files WARNING: 3 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for gerard-bauzil-1.0.1 ===> Done bulk for gerard-bauzil-1.0.1 [41%] Processing wip/urg:urg-0.8.18 ===> Bulk building for urg-0.8.18 Binary package for urg-0.8.18 is up-to-date. [42%] Processing wip/pal-statistics:pal-statistics-1.1.0 ===> Cleaning temporary files for pal-statistics-1.1.0 ===> Bulk building for pal-statistics-1.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-comm-1.14.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-common-msgs-1.12.6.tgz => Dependency ros-genmsg-0.5.11 already installed => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.8 provided by python27>=2.7<2.8 => Use ros melodic: ros>=groovy provided by ros-melodic => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package py27-empy>=3: py27-empy-3.3.2 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required robotpkg package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | -- date_time | -- atomic | CMake Error at pal_statistics/CMakeLists.txt:108 (target_link_libraries): | Cannot specify link libraries for target "pal_statistics-test" which is not | built by this project. | | | -- Configuring incomplete, errors occurred! | See also "/local/robotpkg/var/tmp/robotpkg/wip/pal-statistics/work/pal_statistics-1.1.0/build/CMakeFiles/CMakeOutput.log". | See also "/local/robotpkg/var/tmp/robotpkg/wip/pal-statistics/work/pal_statistics-1.1.0/build/CMakeFiles/CMakeError.log". For details or bug reports, check the complete log file in: => Marking pal-statistics-1.1.0 as broken /local/robotpkg/var/tmp/robotpkg/wip/pal-statistics/work/configure.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: do-configure-cmake] Error 1 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for pal-statistics-1.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-statistics-1.1.0 ===> Done bulk for pal-statistics-1.1.0 [42%] Processing wip/hrp2-computer-monitor:hrp2-computer-monitor-1.0.2 ===> Bulk building for hrp2-computer-monitor-1.0.2 Binary package for hrp2-computer-monitor-1.0.2 is up-to-date. [42%] Processing wip/infuse-msgs-ros:infuse-msgs-ros-0.1.0 ===> Bulk building for infuse-msgs-ros-0.1.0 Binary package for infuse-msgs-ros-0.1.0 is up-to-date. [43%] Processing wip/move3d-assets:move3d-assets-20120125 ===> Bulk building for move3d-assets-20120125 Binary package for move3d-assets-20120125 is up-to-date. [43%] Processing wip/morse-hla:morse-hla-1.4 ===> Cleaning temporary files for morse-hla-1.4 ===> Bulk building for morse-hla-1.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/morse-1.4~doc.tgz ERROR: Required robotpkg package py36-hla>=1.1.1: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for morse-hla-1.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for morse-hla-1.4 ===> Done bulk for morse-hla-1.4 [43%] Processing wip/infuse-idl:infuse-idl-0.1.1 ===> Bulk building for infuse-idl-0.1.1 Binary package for infuse-idl-0.1.1 is up-to-date. [44%] Processing wip/py-dynamic-graph-v3:py27-dynamic-graph-v3-3.2.0 ===> Bulk building for py27-dynamic-graph-v3-3.2.0 Binary package for py27-dynamic-graph-v3-3.2.0 is up-to-date. [44%] Processing wip/py-dynamic-graph-v3:py32-dynamic-graph-v3-3.2.0 ===> Bulk building for py32-dynamic-graph-v3-3.2.0 Binary package for py32-dynamic-graph-v3-3.2.0 is up-to-date. [44%] Processing wip/py-dynamic-graph-v3:py34-dynamic-graph-v3-3.2.0 ===> Bulk building for py34-dynamic-graph-v3-3.2.0 Binary package for py34-dynamic-graph-v3-3.2.0 is up-to-date. [45%] Processing wip/py-dynamic-graph-v3:py35-dynamic-graph-v3-3.2.0 ===> Bulk building for py35-dynamic-graph-v3-3.2.0 Binary package for py35-dynamic-graph-v3-3.2.0 is up-to-date. [45%] Processing wip/py-dynamic-graph-v3:py36-dynamic-graph-v3-3.2.0 ===> Cleaning temporary files for py36-dynamic-graph-v3-3.2.0 ===> Bulk building for py36-dynamic-graph-v3-3.2.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.6: python>=2.5<3.8 provided by python36>=3.6<3.7 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.13 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package graphviz>=2: graphviz-2.40.1 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package py-sphinx>=1.1: py-sphinx-1.6.6 found => Required system package python36>=3.6<3.7: python36-3.6.6 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.2.0 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for py36-dynamic-graph-v3-3.2.0 An unexpected error occured. The last 10 log lines are shown below. | Call Stack (most recent call first): | /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:376 (_FPHSA_FAILURE_MESSAGE) | /usr/share/cmake/Modules/FindPythonInterp.cmake:155 (FIND_PACKAGE_HANDLE_STANDARD_ARGS) | cmake/python.cmake:47 (FIND_PACKAGE) | CMakeLists.txt:45 (FINDPYTHON) | | | -- Configuring incomplete, errors occurred! | See also "/local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/CMakeFiles/CMakeOutput.log". | See also "/local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/dynamic-graph-python-3.2.0/CMakeFiles/CMakeError.log". For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-v3/work/configure.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: do-configure-cmake] Error 1 => Marking py36-dynamic-graph-v3-3.2.0 as broken make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for py36-dynamic-graph-v3-3.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-dynamic-graph-v3-3.2.0 ===> Done bulk for py36-dynamic-graph-v3-3.2.0 [45%] Processing wip/py-dynamic-graph-v3:py37-dynamic-graph-v3-3.2.0 ===> Bulk building for py37-dynamic-graph-v3-3.2.0 Binary package for py37-dynamic-graph-v3-3.2.0 is up-to-date. [46%] Processing wip/sot-core-v3:sot-core-v3-3.3.0 ===> Cleaning temporary files for sot-core-v3-3.3.0 ===> Bulk building for sot-core-v3-3.3.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.13 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package graphviz>=2: graphviz-2.40.1 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package urdfdom>=0.2.8<1: urdfdom-0.4.2 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.2.0 found => Required robotpkg package hpp-fcl>=0.5: hpp-fcl-0.6.0 found => Required robotpkg package pinocchio>=1.3.1: pinocchio-1.3.3 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | if ( s != lowerVelocity_.size() | ^~ | /local/robotpkg/var/tmp/robotpkg/wip/sot-core-v3/work/sot-core-3.3.0/src/tools/device.cpp:353:7: note: here | case CONTROL_INPUT_NO_INTEGRATION: | ^~~~ | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/sot-core-v3/work/sot-core-3.3.0' | make[2]: *** [src/CMakeFiles/sot-core.dir/build.make:300: src/CMakeFiles/sot-core.dir/tools/device.cpp.o] Error 1 | make[1]: *** [CMakeFiles/Makefile2:2141: src/CMakeFiles/sot-core.dir/all] Error 2 | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/sot-core-v3/work/sot-core-3.3.0' | make: *** [Makefile:166: all] Error 2 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/sot-core-v3/work/build.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/build/build.mk:199: do-build] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking sot-core-v3-3.3.0 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for sot-core-v3-3.3.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-core-v3-3.3.0 ===> Done bulk for sot-core-v3-3.3.0 [46%] Processing wip/talos-data:talos-data-0.0.20r1 ===> Bulk building for talos-data-0.0.20r1 Binary package for talos-data-0.0.20r1 is up-to-date. [46%] Processing wip/FRILibrary:FRILibrary-1.2r1 ===> Bulk building for FRILibrary-1.2r1 Binary package for FRILibrary-1.2r1 is up-to-date. [47%] Processing wip/ros-swri-math-util:ros-swri-math-util-2.3.0 ===> Bulk building for ros-swri-math-util-2.3.0 Binary package for ros-swri-math-util-2.3.0 is up-to-date. [47%] Processing wip/cppadcodegen:CppADCodeGen-2.3.0 ===> Cleaning temporary files for CppADCodeGen-2.3.0 ===> Bulk building for CppADCodeGen-2.3.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/CppAD-20180000.0.tgz => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.13 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=4.8: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package llvm>=2.0: llvm-5.0.2 found => Required robotpkg package CppAD>=20180000.0: CppAD-20180000.0 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for CppADCodeGen-2.3.0 => Registering installation for CppADCodeGen-2.3.0 => Linking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/pub ===> Logging bulk summary for CppADCodeGen-2.3.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for CppADCodeGen-2.3.0 ===> Done bulk for CppADCodeGen-2.3.0 [47%] Processing wip/talos-moveit-config:talos-moveit-config-0.2.6r1 ===> Bulk building for talos-moveit-config-0.2.6r1 Binary package for talos-moveit-config-0.2.6r1 is up-to-date. [48%] Processing wip/dynamic-graph-tutorial:dynamic-graph-tutorial-1.1.1 ===> Bulk building for dynamic-graph-tutorial-1.1.1 Binary package for dynamic-graph-tutorial-1.1.1 is up-to-date. [48%] Processing wip/sot-dyninv:sot-dyninv-2.0.0r1 ===> Cleaning temporary files for sot-dyninv-2.0.0r1 ===> Bulk building for sot-dyninv-2.0.0r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/jrl-mal-1.19.6r1~jrl-mathtools.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/py27-dynamic-graph-2.5.6r2.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/sot-core-2.9.10.tgz ERROR: Required robotpkg package soth>=2.0.0: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for sot-dyninv-2.0.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-dyninv-2.0.0r1 ===> Done bulk for sot-dyninv-2.0.0r1 [48%] Processing wip/dptu-genom3:dptu-genom3-0.2~codels+pocolibs-client-c+openprs+pocolibs-server+!* ===> Bulk building for dptu-genom3-0.2~codels+openprs+pocolibs-client-c+pocolibs-server Binary package for dptu-genom3-0.2~codels+openprs+pocolibs-client-c+pocolibs-server is up-to-date. [49%] Processing wip/dptu-genom3:dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server+!* ===> Bulk building for dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server Binary package for dptu-genom3-0.2~codels+openprs+ros-client-c+ros-client-ros+ros-server is up-to-date. [49%] Processing wip/libmove3d:libmove3d-3.22.0r1 ===> Cleaning temporary files for libmove3d-3.22.0r1 ===> Bulk building for libmove3d-3.22.0r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/gbM-0.11~tcl.tgz WARNING: Cannot check installed version of glpk WARNING: Cannot check installed version of libXpm => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/softMotion-libs-3.12~tcl.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package freeglut: freeglut found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package glib2>=2.20: glib2-2.54.3 found => Required system package glpk>=4.36: glpk found => Required system package glu>=7: glu-9.0.0 found => Required system package gsl>=1: gsl-2.4 found => Required system package gts>=0.7: gts-0.7.6 found => Required system package libXpm>=3.5.7: libXpm found => Required system package libstdc++: libstdc++ found => Required system package libxml2>=2: libxml2-2.9.8 found => Required system package qhull: qhull found WARNING: Cannot check installed version of glpk WARNING: Cannot check installed version of libXpm => Required robotpkg package gbM>=0.9: gbM-0.11~tcl found => Required robotpkg package softMotion-libs>=3.10: softMotion-libs-3.12~tcl found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | ^ | /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0/graspPlanning/gpConvexHull.cpp:906:32: error: cannot convert 'std::basic_istream::__istream_type {aka std::basic_istream}' to 'bool' in assignment | result= (iss >> index ); | ^ | make[2]: *** [CMakeFiles/move3d.dir/build.make:687: CMakeFiles/move3d.dir/graspPlanning/gpConvexHull.cpp.o] Error 1 | make[2]: *** Waiting for unfinished jobs.... | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0' | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/libmove3d-3.22.0' | make[1]: *** [CMakeFiles/Makefile2:71: CMakeFiles/move3d.dir/all] Error 2 | make: *** [Makefile:144: all] Error 2 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/libmove3d/work/build.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/build/build.mk:199: do-build] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking libmove3d-3.22.0r1 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for libmove3d-3.22.0r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for libmove3d-3.22.0r1 ===> Done bulk for libmove3d-3.22.0r1 [49%] Processing wip/pmb2-robot:pmb2-robot-1.1.9 ===> Bulk building for pmb2-robot-1.1.9 Binary package for pmb2-robot-1.1.9 is up-to-date. [50%] Processing wip/ros-swri-roscpp:ros-swri-roscpp-2.3.0 ===> Bulk building for ros-swri-roscpp-2.3.0 Binary package for ros-swri-roscpp-2.3.0 is up-to-date. [50%] Processing wip/parametric-curves:parametric-curves-1.2.0 ===> Bulk building for parametric-curves-1.2.0 Binary package for parametric-curves-1.2.0 is up-to-date. [51%] Processing wip/hpp-environments:hpp-environments-4.2.0 ===> Bulk building for hpp-environments-4.2.0 Binary package for hpp-environments-4.2.0 is up-to-date. [51%] Processing wip/example-adder:example-adder-1.0.0 ===> Cleaning temporary files for example-adder-1.0.0 ===> Bulk building for example-adder-1.0.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/example-adder.pc' => Registering installation for example-adder-1.0.0 robotpkg_admin: example-adder-1.0.0: File `/opt/openrobots/lib/pkgconfig/example-adder.pc' is in +CONTENTS but not on filesystem! robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/example-adder.pc' robotpkg_create: lstat failed for file lib/pkgconfig/example-adder.pc: No such file or directory make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:74: pkg-tarup] Error 2 ERROR: This package cannot be extracted for the following reason: ERROR: ====================================================================== ERROR: A lib64 directory may not exist in LOCALBASE. ERROR: Having a lib64 directory within the robotpkg installation ERROR: tree is not supported. Please remove ERROR: /opt/openrobots/lib64 ERROR: ERROR: ====================================================================== make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/internal/can-be-built-here.mk:204: cbeh] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/package/package.mk:147: package-failed] Error 2 => Marking example-adder-1.0.0 as broken ERROR: make: *** [package] Error 2 robotpkg_delete: Couldn't remove /opt/openrobots/lib/pkgconfig/example-adder.pc ===> Logging bulk summary for example-adder-1.0.0 => Checking leftover files WARNING: 1 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for example-adder-1.0.0 ===> Done bulk for example-adder-1.0.0 [51%] Processing wip/gdalwrap:gdalwrap-0.1.10 ===> Bulk building for gdalwrap-0.1.10 Binary package for gdalwrap-0.1.10 is up-to-date. [52%] Processing wip/infuse-envire:infuse-envire-0.1.1 ===> Cleaning temporary files for infuse-envire-0.1.1 ===> Bulk building for infuse-envire-0.1.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files robotpkg_create: can't stat `/opt/openrobots/lib/libinfuse_envire.so' robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/infuse_envire.pc' => Registering installation for infuse-envire-0.1.1 robotpkg_admin: infuse-envire-0.1.1: File `/opt/openrobots/lib/libinfuse_envire.so' is in +CONTENTS but not on filesystem! robotpkg_admin: infuse-envire-0.1.1: File `/opt/openrobots/lib/pkgconfig/infuse_envire.pc' is in +CONTENTS but not on filesystem! robotpkg_create: can't stat `/opt/openrobots/lib/libinfuse_envire.so' robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/infuse_envire.pc' robotpkg_create: lstat failed for file lib/libinfuse_envire.so: No such file or directory make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:74: pkg-tarup] Error 2 ERROR: This package cannot be extracted for the following reason: ERROR: ====================================================================== ERROR: A lib64 directory may not exist in LOCALBASE. ERROR: Having a lib64 directory within the robotpkg installation ERROR: tree is not supported. Please remove ERROR: /opt/openrobots/lib64 ERROR: ERROR: ====================================================================== make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/internal/can-be-built-here.mk:204: cbeh] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/package/package.mk:147: package-failed] Error 2 ERROR: make: *** [package] Error 2 => Marking infuse-envire-0.1.1 as broken robotpkg_delete: Couldn't remove /opt/openrobots/lib/libinfuse_envire.so robotpkg_delete: Couldn't remove /opt/openrobots/lib/pkgconfig/infuse_envire.pc ===> Logging bulk summary for infuse-envire-0.1.1 => Checking leftover files WARNING: 6 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for infuse-envire-0.1.1 ===> Done bulk for infuse-envire-0.1.1 [52%] Processing wip/antlr2:antlr2-2.7.7 ===> Bulk building for antlr2-2.7.7 Binary package for antlr2-2.7.7 is up-to-date. [52%] Processing wip/mavlink:mavlink-20150929 ===> Bulk building for mavlink-20150929 Binary package for mavlink-20150929 is up-to-date. [53%] Processing wip/libnabo:libnabo-1.0.4 ===> Bulk building for libnabo-1.0.4 Binary package for libnabo-1.0.4 is up-to-date. [53%] Processing wip/rqt-dynamic-graph:py27-rqt-dynamic-graph-1.0.0 ===> Bulk building for py27-rqt-dynamic-graph-1.0.0 Binary package for py27-rqt-dynamic-graph-1.0.0 is up-to-date. [53%] Processing wip/rqt-dynamic-graph:py32-rqt-dynamic-graph-1.0.0 ===> Bulk building for py32-rqt-dynamic-graph-1.0.0 Binary package for py32-rqt-dynamic-graph-1.0.0 is up-to-date. [54%] Processing wip/rqt-dynamic-graph:py34-rqt-dynamic-graph-1.0.0 ===> Bulk building for py34-rqt-dynamic-graph-1.0.0 Binary package for py34-rqt-dynamic-graph-1.0.0 is up-to-date. [54%] Processing wip/rqt-dynamic-graph:py35-rqt-dynamic-graph-1.0.0 ===> Bulk building for py35-rqt-dynamic-graph-1.0.0 Binary package for py35-rqt-dynamic-graph-1.0.0 is up-to-date. [54%] Processing wip/rqt-dynamic-graph:py36-rqt-dynamic-graph-1.0.0 ===> Cleaning temporary files for py36-rqt-dynamic-graph-1.0.0 ===> Bulk building for py36-rqt-dynamic-graph-1.0.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Required system package py36-empy>=3: MISSING => Required system package py36-nose>=0.10: MISSING => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-comm-1.14.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-rqt-0.5.0.tgz => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for py36-rqt-dynamic-graph-1.0.0: ERROR: ERROR: py36-empy>=3 (Fedora package python-empy (python-3.6)) ERROR: py36-nose>=0.10 (Fedora package python-nose (python-3.6)) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/rqt-dynamic-graph/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for py36-rqt-dynamic-graph-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-rqt-dynamic-graph-1.0.0 ===> Done bulk for py36-rqt-dynamic-graph-1.0.0 [55%] Processing wip/rqt-dynamic-graph:py37-rqt-dynamic-graph-1.0.0 ===> Bulk building for py37-rqt-dynamic-graph-1.0.0 Binary package for py37-rqt-dynamic-graph-1.0.0 is up-to-date. [55%] Processing wip/pal-gripper:pal-gripper-0.0.13 ===> Cleaning temporary files for pal-gripper-0.0.13 ===> Bulk building for pal-gripper-0.0.13 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-comm-1.14.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-common-msgs-1.12.6.tgz => Dependency ros-genmsg-0.5.11 already installed => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.8 provided by python27>=2.7<2.8 => Use ros melodic: ros>=groovy provided by ros-melodic => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package py27-empy>=3: py27-empy-3.3.2 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required robotpkg package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | "xacro_DIR" to a directory containing one of the above files. If "xacro" | provides a separate development package or SDK, be sure it has been | installed. | Call Stack (most recent call first): | pal_gripper_description/CMakeLists.txt:7 (find_package) | | | -- Configuring incomplete, errors occurred! | See also "/local/robotpkg/var/tmp/robotpkg/wip/pal-gripper/work/pal_gripper-0.0.13/build/CMakeFiles/CMakeOutput.log". | See also "/local/robotpkg/var/tmp/robotpkg/wip/pal-gripper/work/pal_gripper-0.0.13/build/CMakeFiles/CMakeError.log". For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/pal-gripper/work/configure.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: do-configure-cmake] Error 1 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking pal-gripper-0.0.13 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for pal-gripper-0.0.13 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-gripper-0.0.13 ===> Done bulk for pal-gripper-0.0.13 [55%] Processing wip/ur5-description:ur5-description-1.0.1 Warning: the LICENSE of wip/ur5-description is undefined. Warning: the LICENSE of wip/ur5-description is undefined. ===> Cleaning temporary files for ur5-description-1.0.1 ===> Bulk building for ur5-description-1.0.1 => Checking for clear installation Warning: the LICENSE of wip/ur5-description is undefined. => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz Warning: the LICENSE of wip/ur5-description is undefined. => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found Warning: the LICENSE of wip/ur5-description is undefined. Warning: the LICENSE of wip/ur5-description is undefined. => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed Warning: the LICENSE of wip/ur5-description is undefined. => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found Warning: the LICENSE of wip/ur5-description is undefined. Warning: the LICENSE of wip/ur5-description is undefined. Warning: the LICENSE of wip/ur5-description is undefined. => SHA1 checksums OK => RMD160 checksums OK Warning: the LICENSE of wip/ur5-description is undefined. => Adding run-time search paths to pkg-config files robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/ur5_description.pc' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/arrowdown.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/arrowright.png' => Registering installation for ur5-description-1.0.1 robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/lib/pkgconfig/ur5_description.pc' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/arrowdown.png' is in +CONTENTS but not on filesystem! robotpkg_admin: ur5-description-1.0.1: File `/opt/openrobots/share/doc/ur5_description/doxygen-html/arrowright.png' is in +CONTENTS but not on filesystem! Warning: the LICENSE of wip/ur5-description is undefined. robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/ur5_description.pc' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/arrowdown.png' robotpkg_create: can't stat `/opt/openrobots/share/doc/ur5_description/doxygen-html/arrowright.png' robotpkg_create: lstat failed for file lib/pkgconfig/ur5_description.pc: No such file or directory make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:74: pkg-tarup] Error 2 Warning: the LICENSE of wip/ur5-description is undefined. ERROR: This package cannot be extracted for the following reason: ERROR: ====================================================================== ERROR: A lib64 directory may not exist in LOCALBASE. ERROR: Having a lib64 directory within the robotpkg installation ERROR: tree is not supported. Please remove ERROR: /opt/openrobots/lib64 ERROR: ERROR: ====================================================================== make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/internal/can-be-built-here.mk:204: cbeh] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/package/package.mk:147: package-failed] Error 2 => Marking ur5-description-1.0.1 as broken ERROR: make: *** [package] Error 2 Warning: the LICENSE of wip/ur5-description is undefined. robotpkg_delete: Couldn't remove /opt/openrobots/lib/pkgconfig/ur5_description.pc robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/arrowdown.png robotpkg_delete: Couldn't remove /opt/openrobots/share/doc/ur5_description/doxygen-html/arrowright.png ===> Logging bulk summary for ur5-description-1.0.1 => Checking leftover files WARNING: 3 files leftover. => Creating bulk log files => Logging bulk metadata Warning: the LICENSE of wip/ur5-description is undefined. Warning: the LICENSE of wip/ur5-description is undefined. Warning: the LICENSE of wip/ur5-description is undefined. ===> Cleaning temporary files for ur5-description-1.0.1 ===> Done bulk for ur5-description-1.0.1 [56%] Processing wip/sot-tools-v3:sot-tools-v3-2.1.0 ===> Bulk building for sot-tools-v3-2.1.0 Binary package for sot-tools-v3-2.1.0 is up-to-date. [56%] Processing wip/osg-dae:osg-dae-3.2.1r2 ===> Cleaning temporary files for osg-dae-3.2.1r2 ===> Bulk building for osg-dae-3.2.1r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/collada-dom-2.3.1r2.tgz => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-system>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.13 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package libstdc++: libstdc++ found => Required system package openscenegraph>=3: openscenegraph-3.4.1 found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required robotpkg package collada-dom>=2.3.1: collada-dom-2.3.1r2 found => SHA1 checksums OK => RMD160 checksums OK => Applying robotpkg patches for osg-dae-3.2.1r2 An unexpected error occured. The last 10 log lines are shown below. | unsigned int nbPolygons=drawElements->size()/primLength; | ~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~ | /local/robotpkg/var/tmp/robotpkg/wip/osg-dae/work/osg-dae-3.2.1/src/osgPlugins/dae/daeWGeometry.cpp:1264:69: warning: conversion to 'unsigned int' from 'osg::MixinVector::size_type {aka long unsigned int}' may alter its value [-Wconversion] | unsigned int nbVerticesPerPoly= drawElements->size()/p.size(); | ~~~~~~~~~~~~~~~~~~~~^~~~~~~~~ | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/osg-dae/work/osg-dae-3.2.1' | make[2]: *** [src/osgPlugins/dae/CMakeFiles/osgdb_dae.dir/build.make:170: src/osgPlugins/dae/CMakeFiles/osgdb_dae.dir/daeWGeometry.o] Error 1 | make[1]: *** [CMakeFiles/Makefile2:541: src/osgPlugins/dae/CMakeFiles/osgdb_dae.dir/all] Error 2 | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/osg-dae/work/osg-dae-3.2.1' | make: *** [Makefile:144: all] Error 2 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/osg-dae/work/build.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/build/build.mk:199: do-build] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking osg-dae-3.2.1r2 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for osg-dae-3.2.1r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for osg-dae-3.2.1r2 ===> Done bulk for osg-dae-3.2.1r2 [56%] Processing wip/pal-msgs:pal-msgs-0.11.3 ===> Cleaning temporary files for pal-msgs-0.11.3 ===> Bulk building for pal-msgs-0.11.3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/py27-rospkg-1.1.7.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-actionlib-1.11.13.tgz => Dependency ros-catkin-0.7.14 already installed => Dependency ros-class-loader-0.4.1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-cmake-modules-0.4.1.tgz => Dependency ros-comm-1.14.3 already installed => Dependency ros-common-msgs-1.12.6 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-control-toolbox-1.16.0.tgz => Dependency ros-genmsg-0.5.11 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-geometry-1.12.0.tgz => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-pluginlib-1.12.1 already installed => Dependency ros-ros-1.14.4 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.8 provided by python27>=2.7<2.8 => Use ros melodic: ros>=groovy ros>=hydro provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=4.8: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package py27-empy>=3: py27-empy-3.3.2 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package py27-rospkg>=1.0.29: py27-rospkg-1.1.7 found => Required robotpkg package ros-actionlib>=1.11<1.12: ros-actionlib-1.11.13 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-class-loader>=0.4<0.5: ros-class-loader-0.4.1 found => Required robotpkg package ros-cmake-modules>=0.3: ros-cmake-modules-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-control-toolbox>=1.16<1.17: ros-control-toolbox-1.16.0 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-geometry>=1.12<1.13: ros-geometry-1.12.0 found => Required robotpkg package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required robotpkg package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required robotpkg package ros-pluginlib>=1.12<1.13: ros-pluginlib-1.12.1 found => Required robotpkg package ros-ros>=1.14<1.15: ros-ros-1.14.4 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | set "humanoid_nav_msgs_DIR" to a directory containing one of the above | files. If "humanoid_nav_msgs" provides a separate development package or | SDK, be sure it has been installed. | Call Stack (most recent call first): | pal_walking_msgs/CMakeLists.txt:4 (find_package) | | | -- Configuring incomplete, errors occurred! | See also "/local/robotpkg/var/tmp/robotpkg/wip/pal-msgs/work/pal_msgs-0.11.3/build/CMakeFiles/CMakeOutput.log". | See also "/local/robotpkg/var/tmp/robotpkg/wip/pal-msgs/work/pal_msgs-0.11.3/build/CMakeFiles/CMakeError.log". For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/pal-msgs/work/configure.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: do-configure-cmake] Error 1 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking pal-msgs-0.11.3 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for pal-msgs-0.11.3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-msgs-0.11.3 ===> Done bulk for pal-msgs-0.11.3 [57%] Processing wip/backward-ros:backward-ros-0.1.6 ===> Bulk building for backward-ros-0.1.6 Binary package for backward-ros-0.1.6 is up-to-date. [57%] Processing wip/sot-dynamic-pinocchio-v3:sot-dynamic-pinocchio-v3-3.2.4 ===> Cleaning temporary files for sot-dynamic-pinocchio-v3-3.2.4 ===> Bulk building for sot-dynamic-pinocchio-v3-3.2.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-core-v3-3.2.0r3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-tools-v3-2.1.0.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.13 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package graphviz>=2: graphviz-2.40.1 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package urdfdom>=0.2.8<1: urdfdom-0.4.2 found => Required robotpkg package hpp-fcl>=0.5: hpp-fcl-0.6.0 found => Required robotpkg package pinocchio>=1.3.1: pinocchio-1.3.3 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r3 found => Required robotpkg package sot-tools-v3>=2.0: sot-tools-v3-2.1.0 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files robotpkg_create: can't stat `/opt/openrobots/lib/libsot-dynamic-pinocchio.so' robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/sot-dynamic-pinocchio.pc' => Registering installation for sot-dynamic-pinocchio-v3-3.2.4 robotpkg_admin: sot-dynamic-pinocchio-v3-3.2.4: File `/opt/openrobots/lib/libsot-dynamic-pinocchio.so' is in +CONTENTS but not on filesystem! robotpkg_admin: sot-dynamic-pinocchio-v3-3.2.4: File `/opt/openrobots/lib/pkgconfig/sot-dynamic-pinocchio.pc' is in +CONTENTS but not on filesystem! robotpkg_create: can't stat `/opt/openrobots/lib/libsot-dynamic-pinocchio.so' robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/sot-dynamic-pinocchio.pc' robotpkg_create: lstat failed for file lib/libsot-dynamic-pinocchio.so: No such file or directory make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:74: pkg-tarup] Error 2 ERROR: This package cannot be extracted for the following reason: ERROR: ====================================================================== ERROR: A lib64 directory may not exist in LOCALBASE. ERROR: Having a lib64 directory within the robotpkg installation ERROR: tree is not supported. Please remove ERROR: /opt/openrobots/lib64 ERROR: ERROR: ====================================================================== make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/internal/can-be-built-here.mk:204: cbeh] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/package/package.mk:147: package-failed] Error 2 => Marking sot-dynamic-pinocchio-v3-3.2.4 as broken ERROR: make: *** [package] Error 2 robotpkg_delete: Couldn't remove /opt/openrobots/lib/libsot-dynamic-pinocchio.so robotpkg_delete: Couldn't remove /opt/openrobots/lib/pkgconfig/sot-dynamic-pinocchio.pc ===> Logging bulk summary for sot-dynamic-pinocchio-v3-3.2.4 => Checking leftover files WARNING: 2 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-dynamic-pinocchio-v3-3.2.4 ===> Done bulk for sot-dynamic-pinocchio-v3-3.2.4 [57%] Processing wip/ros-swri-string-util:ros-swri-string-util-2.3.0 ===> Cleaning temporary files for ros-swri-string-util-2.3.0 ===> Bulk building for ros-swri-string-util-2.3.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-catkin-0.7.14.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.8 provided by python27>=2.7<2.8 => Use ros melodic: ros==melodic provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package py27-empy>=3: py27-empy-3.3.2 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | | Add the installation prefix of "rostest" to CMAKE_PREFIX_PATH or set | "rostest_DIR" to a directory containing one of the above files. If | "rostest" provides a separate development package or SDK, be sure it has | been installed. | | | -- Configuring incomplete, errors occurred! | See also "/local/robotpkg/var/tmp/robotpkg/wip/ros-swri-string-util/work/marti_common-2.3.0/swri_string_util/CMakeFiles/CMakeOutput.log". | See also "/local/robotpkg/var/tmp/robotpkg/wip/ros-swri-string-util/work/marti_common-2.3.0/swri_string_util/CMakeFiles/CMakeError.log". For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/ros-swri-string-util/work/configure.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: do-configure-cmake] Error 1 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking ros-swri-string-util-2.3.0 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for ros-swri-string-util-2.3.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for ros-swri-string-util-2.3.0 ===> Done bulk for ros-swri-string-util-2.3.0 [58%] Processing wip/openhrp3-simulator-wo-rtm:openhrp3-simulator-wo-rtm-1.2.0 ===> Cleaning temporary files for openhrp3-simulator-wo-rtm-1.2.0 ===> Bulk building for openhrp3-simulator-wo-rtm-1.2.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/gepetto-viewer-4.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-common-msgs-1.12.6.tgz => Dependency ros-genmsg-0.5.11 already installed => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-roscpp-core-0.6.11 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.8 provided by python27>=2.7<2.8 => Use ros melodic: ros>=groovy provided by ros-melodic => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package py27-empy>=3: py27-empy-3.3.2 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package gepetto-viewer>=4.2: gepetto-viewer-4.2.0 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required robotpkg package ros-roscpp-core>=0.6<0.7: ros-roscpp-core-0.6.11 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | "roscpp_DIR" to a directory containing one of the above files. If "roscpp" | provides a separate development package or SDK, be sure it has been | -- Configuring incomplete, errors occurred! | installed. | Call Stack (most recent call first): | CMakeLists.txt:11 (find_package) | | See also "/local/robotpkg/var/tmp/robotpkg/wip/openhrp3-simulator-wo-rtm/work/openhrp3_simulator_wo_rtm-1.2.0/CMakeFiles/CMakeOutput.log". | | See also "/local/robotpkg/var/tmp/robotpkg/wip/openhrp3-simulator-wo-rtm/work/openhrp3_simulator_wo_rtm-1.2.0/CMakeFiles/CMakeError.log". For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/openhrp3-simulator-wo-rtm/work/configure.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: do-configure-cmake] Error 1 => Marking openhrp3-simulator-wo-rtm-1.2.0 as broken make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for openhrp3-simulator-wo-rtm-1.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for openhrp3-simulator-wo-rtm-1.2.0 ===> Done bulk for openhrp3-simulator-wo-rtm-1.2.0 [58%] Processing wip/hrp2-14-description:hrp2-14-description-1.0.5 ===> Bulk building for hrp2-14-description-1.0.5 Binary package for hrp2-14-description-1.0.5 is up-to-date. [58%] Processing wip/eigen-quadprog:eigen-quadprog-1.0.0 ===> Bulk building for eigen-quadprog-1.0.0 Binary package for eigen-quadprog-1.0.0 is up-to-date. [59%] Processing wip/ros-swri-nodelet:ros-swri-nodelet-2.3.0 ===> Bulk building for ros-swri-nodelet-2.3.0 Binary package for ros-swri-nodelet-2.3.0 is up-to-date. [59%] Processing wip/py-mraa:mraa-1.9.0 ===> Cleaning temporary files for mraa-1.9.0 ===> Bulk building for mraa-1.9.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Required system package libjson-c>=0.10: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for mraa-1.9.0: ERROR: ERROR: libjson-c>=0.10 ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/py-mraa/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for mraa-1.9.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for mraa-1.9.0 ===> Done bulk for mraa-1.9.0 [59%] Processing wip/prf-ros-control:prf-ros-control-0.2.6r3 ===> Bulk building for prf-ros-control-0.2.6r3 Binary package for prf-ros-control-0.2.6r3 is up-to-date. [60%] Processing wip/octovis:octoviz-1.6.1 ===> Cleaning temporary files for octoviz-1.6.1 ===> Bulk building for octoviz-1.6.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Required system package libqglviewer>=2.3: MISSING => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/octomap-1.6.1.tgz => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for octoviz-1.6.1: ERROR: ERROR: libqglviewer>=2.3 (Fedora package libQGLViewer-devel) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/octovis/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for octoviz-1.6.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for octoviz-1.6.1 ===> Done bulk for octoviz-1.6.1 [60%] Processing wip/py-parametric-curves:py27-parametric-curves-1.2.0 ===> Bulk building for py27-parametric-curves-1.2.0 Binary package for py27-parametric-curves-1.2.0 is up-to-date. [60%] Processing wip/py-parametric-curves:py32-parametric-curves-1.2.0 ===> Bulk building for py32-parametric-curves-1.2.0 Binary package for py32-parametric-curves-1.2.0 is up-to-date. [61%] Processing wip/py-parametric-curves:py34-parametric-curves-1.2.0 ===> Bulk building for py34-parametric-curves-1.2.0 Binary package for py34-parametric-curves-1.2.0 is up-to-date. [61%] Processing wip/py-parametric-curves:py35-parametric-curves-1.2.0 ===> Bulk building for py35-parametric-curves-1.2.0 Binary package for py35-parametric-curves-1.2.0 is up-to-date. [61%] Processing wip/py-parametric-curves:py36-parametric-curves-1.2.0 ===> Bulk building for py36-parametric-curves-1.2.0 Binary package for py36-parametric-curves-1.2.0 is up-to-date. [62%] Processing wip/py-parametric-curves:py37-parametric-curves-1.2.0 ===> Bulk building for py37-parametric-curves-1.2.0 Binary package for py37-parametric-curves-1.2.0 is up-to-date. [62%] Processing wip/py-dynamic-graph-tutorial:py27-dynamic-graph-tutorial-1.1.1 ===> Bulk building for py27-dynamic-graph-tutorial-1.1.1 Binary package for py27-dynamic-graph-tutorial-1.1.1 is up-to-date. [62%] Processing wip/py-dynamic-graph-tutorial:py32-dynamic-graph-tutorial-1.1.1 ===> Bulk building for py32-dynamic-graph-tutorial-1.1.1 Binary package for py32-dynamic-graph-tutorial-1.1.1 is up-to-date. [63%] Processing wip/py-dynamic-graph-tutorial:py34-dynamic-graph-tutorial-1.1.1 ===> Bulk building for py34-dynamic-graph-tutorial-1.1.1 Binary package for py34-dynamic-graph-tutorial-1.1.1 is up-to-date. [63%] Processing wip/py-dynamic-graph-tutorial:py35-dynamic-graph-tutorial-1.1.1 ===> Bulk building for py35-dynamic-graph-tutorial-1.1.1 Binary package for py35-dynamic-graph-tutorial-1.1.1 is up-to-date. [63%] Processing wip/py-dynamic-graph-tutorial:py36-dynamic-graph-tutorial-1.1.1 ===> Cleaning temporary files for py36-dynamic-graph-tutorial-1.1.1 ===> Bulk building for py36-dynamic-graph-tutorial-1.1.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-tutorial-1.1.1.tgz => Dependency dynamic-graph-v3-3.2.0 already installed ERROR: Required robotpkg package py36-dynamic-graph-v3>=3.0: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py36-dynamic-graph-tutorial-1.1.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-dynamic-graph-tutorial-1.1.1 ===> Done bulk for py36-dynamic-graph-tutorial-1.1.1 [64%] Processing wip/py-dynamic-graph-tutorial:py37-dynamic-graph-tutorial-1.1.1 ===> Bulk building for py37-dynamic-graph-tutorial-1.1.1 Binary package for py37-dynamic-graph-tutorial-1.1.1 is up-to-date. [64%] Processing wip/infuse-asn1-types:infuse-asn1-types-0.3 ===> Cleaning temporary files for infuse-asn1-types-0.3 ===> Bulk building for infuse-asn1-types-0.3 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Required system package mono>=4.2: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for infuse-asn1-types-0.3: ERROR: ERROR: mono>=4.2 ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/infuse-asn1-types/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for infuse-asn1-types-0.3 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for infuse-asn1-types-0.3 ===> Done bulk for infuse-asn1-types-0.3 [64%] Processing wip/jsbsim:jsbsim-20150424 ===> Bulk building for jsbsim-20150424 Binary package for jsbsim-20150424 is up-to-date. [65%] Processing wip/ros-swri-serial-util:ros-swri-serial-util-2.3.0 ===> Bulk building for ros-swri-serial-util-2.3.0 Binary package for ros-swri-serial-util-2.3.0 is up-to-date. [65%] Processing wip/pyrene-motions:pyrene-motions ===> Cleaning temporary files for pyrene-motions ===> Bulk building for pyrene-motions => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/pyrene-motions.pc' => Registering installation for pyrene-motions robotpkg_admin: pyrene-motions: File `/opt/openrobots/lib/pkgconfig/pyrene-motions.pc' is in +CONTENTS but not on filesystem! make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:74: pkg-tarup] Error 1 ERROR: This package cannot be extracted for the following reason: ERROR: ====================================================================== ERROR: A lib64 directory may not exist in LOCALBASE. ERROR: Having a lib64 directory within the robotpkg installation ERROR: tree is not supported. Please remove ERROR: /opt/openrobots/lib64 ERROR: ERROR: ====================================================================== make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/internal/can-be-built-here.mk:204: cbeh] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/package/package.mk:147: package-failed] Error 2 => Marking pyrene-motions as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for pyrene-motions => Checking leftover files WARNING: 49 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pyrene-motions ===> Done bulk for pyrene-motions [65%] Processing wip/play-motion:play-motion-0.4.5 ===> Cleaning temporary files for play-motion-0.4.5 ===> Bulk building for play-motion-0.4.5 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/prf-ros-control-0.2.6r3.tgz => Dependency ros-catkin-0.7.14 already installed => Dependency ros-comm-1.14.3 already installed => Dependency ros-common-msgs-1.12.6 already installed => Dependency ros-genmsg-0.5.11 already installed => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.8 provided by python27>=2.7<2.8 => Use ros melodic: ros>=groovy provided by ros-melodic => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package py27-empy>=3: py27-empy-3.3.2 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package prf-ros-control>=0.2: prf-ros-control-0.2.6r3 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required robotpkg package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | containing one of the above files. If "moveit_ros_planning_interface" | provides a separate development package or SDK, be sure it has been | installed. | Call Stack (most recent call first): | play_motion/CMakeLists.txt:6 (find_package) | | | -- Configuring incomplete, errors occurred! | See also "/local/robotpkg/var/tmp/robotpkg/wip/play-motion/work/play_motion-0.4.5/build/CMakeFiles/CMakeOutput.log". | See also "/local/robotpkg/var/tmp/robotpkg/wip/play-motion/work/play_motion-0.4.5/build/CMakeFiles/CMakeError.log". For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/play-motion/work/configure.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: do-configure-cmake] Error 1 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking play-motion-0.4.5 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for play-motion-0.4.5 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for play-motion-0.4.5 ===> Done bulk for play-motion-0.4.5 [66%] Processing wip/can-utils:can-utils-2018.02.0 ===> Bulk building for can-utils-2018.02.0 Binary package for can-utils-2018.02.0 is up-to-date. [66%] Processing wip/orocos-yarp_transport:orocos-yarp_transport-20150316 ===> Cleaning temporary files for orocos-yarp_transport-20150316~doc ===> Bulk building for orocos-yarp_transport-20150316~doc => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package git>=1.6: git-2.14.5 found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ace-6.4.6.tgz => Dependency digest-20080510 already installed => Required system package docbook>=0.6: MISSING => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/orocos-rtt-2.9.0rc1.tgz => Dependency tnftp-20130505~ssl already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/yarp-2.3.64r3~gui.tgz ERROR: ====================================================================== ERROR: Missing system packages required for orocos-yarp_transport-20150316~doc: ERROR: ERROR: docbook>=0.6 (Fedora package docbook-utils) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/orocos-yarp_transport/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for orocos-yarp_transport-20150316~doc => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for orocos-yarp_transport-20150316~doc ===> Done bulk for orocos-yarp_transport-20150316~doc [66%] Processing wip/sot-dyninv-v3:sot-dyninv-v3-3.1.1r1 ===> Cleaning temporary files for sot-dyninv-v3-3.1.1r1 ===> Bulk building for sot-dyninv-v3-3.1.1r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-core-v3-3.2.0r3.tgz ERROR: Required robotpkg package soth>=2.0.0: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for sot-dyninv-v3-3.1.1r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-dyninv-v3-3.1.1r1 ===> Done bulk for sot-dyninv-v3-3.1.1r1 [67%] Processing wip/tsid:tsid-1.1.0 ===> Cleaning temporary files for tsid-1.1.0 ===> Bulk building for tsid-1.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-unit_test_framework>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.13 found => Required system package eigen3>=3.2.0: eigen3-3.3.5 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package urdfdom>=0.2.8<1: urdfdom-0.4.2 found => Required robotpkg package hpp-fcl>=0.5: hpp-fcl-0.6.0 found => Required robotpkg package pinocchio>=1.3.1: pinocchio-1.3.3 found => SHA1 checksums OK => RMD160 checksums OK => Adding run-time search paths to pkg-config files robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/tsid.pc' => Registering installation for tsid-1.1.0 robotpkg_admin: tsid-1.1.0: File `/opt/openrobots/lib/pkgconfig/tsid.pc' is in +CONTENTS but not on filesystem! robotpkg_create: can't stat `/opt/openrobots/lib/pkgconfig/tsid.pc' robotpkg_create: lstat failed for file lib/pkgconfig/tsid.pc: No such file or directory make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:74: pkg-tarup] Error 2 ERROR: This package cannot be extracted for the following reason: ERROR: ====================================================================== ERROR: A lib64 directory may not exist in LOCALBASE. ERROR: Having a lib64 directory within the robotpkg installation ERROR: tree is not supported. Please remove ERROR: /opt/openrobots/lib64 ERROR: ERROR: ====================================================================== make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/internal/can-be-built-here.mk:204: cbeh] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/package/package.mk:147: package-failed] Error 2 => Marking tsid-1.1.0 as broken ERROR: make: *** [package] Error 2 robotpkg_delete: Couldn't remove /opt/openrobots/lib/pkgconfig/tsid.pc ===> Logging bulk summary for tsid-1.1.0 => Checking leftover files WARNING: 1 files leftover. => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for tsid-1.1.0 ===> Done bulk for tsid-1.1.0 [67%] Processing wip/libhatp:libhatp-1.3.0 ===> Bulk building for libhatp-1.3.0 Binary package for libhatp-1.3.0 is up-to-date. [67%] Processing wip/metapod:metapod-1.0.10 Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Cleaning temporary files for metapod-1.0.10 ===> Bulk building for metapod-1.0.10 => Checking for clear installation Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.13 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package graphviz>=2: graphviz-2.40.1 found => Required system package libstdc++: libstdc++ found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | [ 4%] Linking CXX executable embedfile | cd /local/robotpkg/var/tmp/robotpkg/wip/metapod/work/metapod-1.0.10/embedfile && /usr/bin/cmake -E cmake_link_script CMakeFiles/embedfile.dir/link.txt --verbose=1 | /usr/bin/g++ -pedantic -Wno-long-long -Wall -Wextra -Wcast-align -Wcast-qual -Wformat -Wwrite-strings -Wconversion -pipe -O3 -DNDEBUG -rdynamic CMakeFiles/embedfile.dir/src/embedfile.cc.o -o embedfile -lboost_filesystem -lboost_system -lboost_unit_test_framework -lboost_program_options -lboost_regex | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/metapod/work/metapod-1.0.10' | [ 4%] Built target embedfile | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/metapod/work/metapod-1.0.10' | make[2]: *** [tests/spatial/CMakeFiles/test_rotation.dir/build.make:66: tests/spatial/CMakeFiles/test_rotation.dir/test_rotation.cc.o] Error 1 | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/metapod/work/metapod-1.0.10' | make[1]: *** [CMakeFiles/Makefile2:830: tests/spatial/CMakeFiles/test_rotation.dir/all] Error 2 | make: *** [Makefile:166: all] Error 2 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/metapod/work/build.log => Marking metapod-1.0.10 as broken make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/build/build.mk:199: do-build] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Logging bulk summary for metapod-1.0.10 => Checking leftover files => Creating bulk log files => Logging bulk metadata Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. Warning: DOXYGEN_PLIST_DIR in wip/metapod is deprecated. Warning: use DYNAMIC_PLIST_DIRS instead. ===> Cleaning temporary files for metapod-1.0.10 ===> Done bulk for metapod-1.0.10 [68%] Processing wip/roralink:roralink-0.3.0-Source ===> Cleaning temporary files for roralink-0.3.0-Source ===> Bulk building for roralink-0.3.0-Source => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package gcc>=3: gcc-7 found => Fetching roralink-0.3.0-Source.tar.gz => Total size: 12237 bytes fetch: Unable to fetch expected file roralink-0.3.0-Source.tar.gz tnftp: Error retrieving file `404 Not Found' fetch: Unable to fetch expected file roralink-0.3.0-Source.tar.gz => Total size: 12237 bytes tnftp: Error retrieving file `404 Not Found' fetch: Unable to fetch expected file roralink-0.3.0-Source.tar.gz ERROR: Could not fetch the following file: ERROR: roralink-0.3.0-Source.tar.gz ERROR: ERROR: Please retrieve this file manually into: ERROR: /opt/robotpkg/var/lib/robotpkg/distfiles/ make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/fetch/fetch.mk:185: /opt/robotpkg/var/lib/robotpkg/distfiles/roralink-0.3.0-Source.tar.gz] Error 1 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking roralink-0.3.0-Source as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for roralink-0.3.0-Source => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for roralink-0.3.0-Source ===> Done bulk for roralink-0.3.0-Source [68%] Processing wip/py-dynamic-graph-bridge-v3:py27-dynamic-graph-bridge-v3-3.2.0 ===> Bulk building for py27-dynamic-graph-bridge-v3-3.2.0 Binary package for py27-dynamic-graph-bridge-v3-3.2.0 is up-to-date. [68%] Processing wip/py-dynamic-graph-bridge-v3:py32-dynamic-graph-bridge-v3-3.2.0 ===> Bulk building for py32-dynamic-graph-bridge-v3-3.2.0 Binary package for py32-dynamic-graph-bridge-v3-3.2.0 is up-to-date. [69%] Processing wip/py-dynamic-graph-bridge-v3:py34-dynamic-graph-bridge-v3-3.2.0 ===> Bulk building for py34-dynamic-graph-bridge-v3-3.2.0 Binary package for py34-dynamic-graph-bridge-v3-3.2.0 is up-to-date. [69%] Processing wip/py-dynamic-graph-bridge-v3:py35-dynamic-graph-bridge-v3-3.2.0 ===> Bulk building for py35-dynamic-graph-bridge-v3-3.2.0 Binary package for py35-dynamic-graph-bridge-v3-3.2.0 is up-to-date. [69%] Processing wip/py-dynamic-graph-bridge-v3:py36-dynamic-graph-bridge-v3-3.2.0 ===> Cleaning temporary files for py36-dynamic-graph-bridge-v3-3.2.0 ===> Bulk building for py36-dynamic-graph-bridge-v3-3.2.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-bridge-msgs-0.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz ERROR: Required robotpkg package py36-dynamic-graph-v3>=3.0: BROKEN => Required system package py36-empy>=3: MISSING => Required system package py36-nose>=0.10: MISSING => Dependency ros-catkin-0.7.14 already installed => Dependency ros-comm-1.14.3 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-common-msgs-1.12.6.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-geometry-1.12.0.tgz => Dependency ros-geometry2-0.6.3 already installed => Dependency ros-message-runtime-0.4.12 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-realtime-tools-1.11.0.tgz => Dependency ros-roscpp-core-0.6.11 already installed => Dependency ros-rospack-2.5.1 already installed => Dependency ros-std-msgs-0.5.11 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-core-v3-3.2.0r3.tgz => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for py36-dynamic-graph-bridge-v3-3.2.0: ERROR: ERROR: py36-empy>=3 (Fedora package python-empy (python-3.6)) ERROR: py36-nose>=0.10 (Fedora package python-nose (python-3.6)) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/py-dynamic-graph-bridge-v3/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Logging bulk summary for py36-dynamic-graph-bridge-v3-3.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-dynamic-graph-bridge-v3-3.2.0 ===> Done bulk for py36-dynamic-graph-bridge-v3-3.2.0 [70%] Processing wip/py-dynamic-graph-bridge-v3:py37-dynamic-graph-bridge-v3-3.2.0 ===> Bulk building for py37-dynamic-graph-bridge-v3-3.2.0 Binary package for py37-dynamic-graph-bridge-v3-3.2.0 is up-to-date. [70%] Processing wip/simple-humanoid-description:simple-humanoid-description-1.0.1 ===> Bulk building for simple-humanoid-description-1.0.1 Binary package for simple-humanoid-description-1.0.1 is up-to-date. [70%] Processing wip/tiago-robot:tiago-robot-0.0.35os1 ===> Cleaning temporary files for tiago-robot-0.0.35os1 ===> Bulk building for tiago-robot-0.0.35os1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/head-action-0.0.1r4.tgz ERROR: Required robotpkg package pal-gripper>=0.0.13: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/pmb2-robot-1.1.9.tgz => Dependency ros-catkin-0.7.14 already installed => Dependency ros-comm-1.14.3 already installed => Dependency ros-common-msgs-1.12.6 already installed => Dependency ros-genmsg-0.5.11 already installed => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency tf-lookup-0.0.1r1 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for tiago-robot-0.0.35os1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for tiago-robot-0.0.35os1 ===> Done bulk for tiago-robot-0.0.35os1 [71%] Processing wip/py-sot-core-v3:py27-sot-core-v3-3.3.0 ===> Cleaning temporary files for py27-sot-core-v3-3.3.0 ===> Bulk building for py27-sot-core-v3-3.3.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-core-v3-3.2.0r3.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.8 provided by python27>=2.7<2.8 => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.13 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package graphviz>=2: graphviz-2.40.1 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package urdfdom>=0.2.8<1: urdfdom-0.4.2 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.2.0 found => Required robotpkg package hpp-fcl>=0.5: hpp-fcl-0.6.0 found => Required robotpkg package pinocchio>=1.3.1: pinocchio-1.3.3 found => Required robotpkg package py27-dynamic-graph-v3>=3.0: py27-dynamic-graph-v3-3.2.0 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r3 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | ^~ | /local/robotpkg/var/tmp/robotpkg/wip/py-sot-core-v3/work/sot-core-3.3.0/src/tools/device.cpp:353:7: note: here | case CONTROL_INPUT_NO_INTEGRATION: | ^~~~ | make[2]: *** [src/CMakeFiles/sot-core.dir/build.make:300: src/CMakeFiles/sot-core.dir/tools/device.cpp.o] Error 1 | make[2]: *** Waiting for unfinished jobs.... | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/py-sot-core-v3/work/sot-core-3.3.0' | make[1]: *** [CMakeFiles/Makefile2:3241: src/CMakeFiles/sot-core.dir/all] Error 2 | make: *** [Makefile:166: all] Error 2 | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/py-sot-core-v3/work/sot-core-3.3.0' For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/py-sot-core-v3/work/build.log => Marking py27-sot-core-v3-3.3.0 as broken make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/build/build.mk:199: do-build] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for py27-sot-core-v3-3.3.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-sot-core-v3-3.3.0 ===> Done bulk for py27-sot-core-v3-3.3.0 [71%] Processing wip/py-sot-core-v3:py32-sot-core-v3-3.3.0 ===> Bulk building for py32-sot-core-v3-3.3.0 Binary package for py32-sot-core-v3-3.3.0 is up-to-date. [71%] Processing wip/py-sot-core-v3:py34-sot-core-v3-3.3.0 ===> Bulk building for py34-sot-core-v3-3.3.0 Binary package for py34-sot-core-v3-3.3.0 is up-to-date. [72%] Processing wip/py-sot-core-v3:py35-sot-core-v3-3.3.0 ===> Bulk building for py35-sot-core-v3-3.3.0 Binary package for py35-sot-core-v3-3.3.0 is up-to-date. [72%] Processing wip/py-sot-core-v3:py36-sot-core-v3-3.3.0 ===> Cleaning temporary files for py36-sot-core-v3-3.3.0 ===> Bulk building for py36-sot-core-v3-3.3.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz ERROR: Required robotpkg package py36-dynamic-graph-v3>=3.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-core-v3-3.2.0r3.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py36-sot-core-v3-3.3.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-core-v3-3.3.0 ===> Done bulk for py36-sot-core-v3-3.3.0 [72%] Processing wip/py-sot-core-v3:py37-sot-core-v3-3.3.0 ===> Bulk building for py37-sot-core-v3-3.3.0 Binary package for py37-sot-core-v3-3.3.0 is up-to-date. [73%] Processing wip/orocos-dot_service:orocos-dot_service-20120308 ===> Cleaning temporary files for orocos-dot_service-20120308 ===> Bulk building for orocos-dot_service-20120308 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/orocos-rtt-2.9.0rc1.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.46.1: boost-headers-1.64 found => Required system package boostlib-filesystem>=1.46.1: boost-libs-1.64.0 found => Required system package boostlib-iostreams>=1.46.1: boost-libs-1.64.0 found => Required system package boostlib-math>=1.46.1: boost-libs-1.64.0 found => Required system package boostlib-thread>=1.46.1: boost-libs-1.64.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package graphviz>=2: graphviz-2.40.1 found => Required system package libstdc++: libstdc++ found => Required robotpkg package orocos-rtt>=2: orocos-rtt-2.9.0rc1 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | /local/robotpkg/var/tmp/robotpkg/wip/orocos-dot_service/work/rtt_dot_service-rtt_dot_service/src/rtt_dot_service.cpp: In member function 'virtual bool Dot::execute()': | /local/robotpkg/var/tmp/robotpkg/wip/orocos-dot_service/work/rtt_dot_service-rtt_dot_service/src/rtt_dot_service.cpp:112:114: error: 'class RTT::internal::ConnectionManager' has no member named 'getChannels'; did you mean 'getConnections'? | std::list chns = tc->getPort(comp_ports[j])->getManager()->getChannels(); | ^~~~~~~~~~~ | getConnections | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/orocos-dot_service/work/rtt_dot_service-rtt_dot_service' | make[2]: *** [CMakeFiles/rtt_dot_service.dir/build.make:66: CMakeFiles/rtt_dot_service.dir/src/rtt_dot_service.cpp.o] Error 1 | make[1]: *** [CMakeFiles/Makefile2:103: CMakeFiles/rtt_dot_service.dir/all] Error 2 => Marking orocos-dot_service-20120308 as broken | make: *** [Makefile:133: all] Error 2 | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/orocos-dot_service/work/rtt_dot_service-rtt_dot_service' For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/orocos-dot_service/work/build.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/build/build.mk:199: do-build] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for orocos-dot_service-20120308 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for orocos-dot_service-20120308 ===> Done bulk for orocos-dot_service-20120308 [73%] Processing wip/py-sot-tools-v3:py27-sot-tools-v3-2.1.0 ===> Bulk building for py27-sot-tools-v3-2.1.0 Binary package for py27-sot-tools-v3-2.1.0 is up-to-date. [73%] Processing wip/py-sot-tools-v3:py32-sot-tools-v3-2.1.0 ===> Bulk building for py32-sot-tools-v3-2.1.0 Binary package for py32-sot-tools-v3-2.1.0 is up-to-date. [74%] Processing wip/py-sot-tools-v3:py34-sot-tools-v3-2.1.0 ===> Bulk building for py34-sot-tools-v3-2.1.0 Binary package for py34-sot-tools-v3-2.1.0 is up-to-date. [74%] Processing wip/py-sot-tools-v3:py35-sot-tools-v3-2.1.0 ===> Bulk building for py35-sot-tools-v3-2.1.0 Binary package for py35-sot-tools-v3-2.1.0 is up-to-date. [74%] Processing wip/py-sot-tools-v3:py36-sot-tools-v3-2.1.0 ===> Cleaning temporary files for py36-sot-tools-v3-2.1.0 ===> Bulk building for py36-sot-tools-v3-2.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package py36-sot-core-v3>=3.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-core-v3-3.2.0r3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-tools-v3-2.1.0.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py36-sot-tools-v3-2.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-tools-v3-2.1.0 ===> Done bulk for py36-sot-tools-v3-2.1.0 [75%] Processing wip/py-sot-tools-v3:py37-sot-tools-v3-2.1.0 ===> Bulk building for py37-sot-tools-v3-2.1.0 Binary package for py37-sot-tools-v3-2.1.0 is up-to-date. [75%] Processing wip/libmove3d-hri:libmove3d-hri-2.24 ===> Cleaning temporary files for libmove3d-hri-2.24 ===> Bulk building for libmove3d-hri-2.24 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package libmove3d>=3.22.0: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for libmove3d-hri-2.24 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for libmove3d-hri-2.24 ===> Done bulk for libmove3d-hri-2.24 [75%] Processing wip/msgconnector:msgconnector-2.13.0 ===> Bulk building for msgconnector-2.13.0~bridge-print+liboro+openprs+yarp Binary package for msgconnector-2.13.0~bridge-print+liboro+openprs+yarp is up-to-date. [76%] Processing wip/py-example-adder:py27-example-adder-1.0.0 ===> Cleaning temporary files for py27-example-adder-1.0.0 ===> Bulk building for py27-example-adder-1.0.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package example-adder>=1.0.0: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py27-example-adder-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-example-adder-1.0.0 ===> Done bulk for py27-example-adder-1.0.0 [76%] Processing wip/py-example-adder:py32-example-adder-1.0.0 ===> Bulk building for py32-example-adder-1.0.0 Binary package for py32-example-adder-1.0.0 is up-to-date. [76%] Processing wip/py-example-adder:py34-example-adder-1.0.0 ===> Bulk building for py34-example-adder-1.0.0 Binary package for py34-example-adder-1.0.0 is up-to-date. [77%] Processing wip/py-example-adder:py35-example-adder-1.0.0 ===> Bulk building for py35-example-adder-1.0.0 Binary package for py35-example-adder-1.0.0 is up-to-date. [77%] Processing wip/py-example-adder:py36-example-adder-1.0.0 ===> Cleaning temporary files for py36-example-adder-1.0.0 ===> Bulk building for py36-example-adder-1.0.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package example-adder>=1.0.0: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py36-example-adder-1.0.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-example-adder-1.0.0 ===> Done bulk for py36-example-adder-1.0.0 [77%] Processing wip/py-example-adder:py37-example-adder-1.0.0 ===> Bulk building for py37-example-adder-1.0.0 Binary package for py37-example-adder-1.0.0 is up-to-date. [78%] Processing wip/py-jsbsim:py27-jsbsim-20150424r1 ===> Cleaning temporary files for py27-jsbsim-20150424r1 ===> Bulk building for py27-jsbsim-20150424r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package cvs>=1: cvs-1.11.23 found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/jsbsim-20150424.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.8 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package libstdc++: libstdc++ found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package jsbsim>=1.0: jsbsim-20150424 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | Could NOT find Cython (missing: CYTHON_EXECUTABLE) | Call Stack (most recent call first): | /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE) | CMakeModules/FindCython.cmake:42 (FIND_PACKAGE_HANDLE_STANDARD_ARGS) | CMakeModules/UseCython.cmake:74 (find_package) | CMakeLists.txt:6 (include) | | | -- Configuring incomplete, errors occurred! | See also "/local/robotpkg/var/tmp/robotpkg/wip/py-jsbsim/work/jsbsim-20150424/tests/CMakeFiles/CMakeOutput.log". For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/py-jsbsim/work/configure.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: do-configure-cmake] Error 1 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking py27-jsbsim-20150424r1 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for py27-jsbsim-20150424r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-jsbsim-20150424r1 ===> Done bulk for py27-jsbsim-20150424r1 [78%] Processing wip/py-jsbsim:py32-jsbsim-20150424r1 ===> Bulk building for py32-jsbsim-20150424r1 Binary package for py32-jsbsim-20150424r1 is up-to-date. [78%] Processing wip/py-jsbsim:py34-jsbsim-20150424r1 ===> Bulk building for py34-jsbsim-20150424r1 Binary package for py34-jsbsim-20150424r1 is up-to-date. [79%] Processing wip/py-jsbsim:py35-jsbsim-20150424r1 ===> Bulk building for py35-jsbsim-20150424r1 Binary package for py35-jsbsim-20150424r1 is up-to-date. [79%] Processing wip/py-jsbsim:py36-jsbsim-20150424r1 ===> Cleaning temporary files for py36-jsbsim-20150424r1 ===> Bulk building for py36-jsbsim-20150424r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package cvs>=1: cvs-1.11.23 found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/jsbsim-20150424.tgz => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.6: python>=2.5<3.8 provided by python36>=3.6<3.7 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package libstdc++: libstdc++ found => Required system package python36>=3.6<3.7: python36-3.6.6 found => Required robotpkg package jsbsim>=1.0: jsbsim-20150424 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | Could NOT find Cython (missing: CYTHON_EXECUTABLE) | Call Stack (most recent call first): | /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE) | CMakeModules/FindCython.cmake:42 (FIND_PACKAGE_HANDLE_STANDARD_ARGS) | CMakeModules/UseCython.cmake:74 (find_package) | CMakeLists.txt:6 (include) | | | -- Configuring incomplete, errors occurred! => Marking py36-jsbsim-20150424r1 as broken | See also "/local/robotpkg/var/tmp/robotpkg/wip/py-jsbsim/work/jsbsim-20150424/tests/CMakeFiles/CMakeOutput.log". For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/py-jsbsim/work/configure.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: do-configure-cmake] Error 1 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for py36-jsbsim-20150424r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-jsbsim-20150424r1 ===> Done bulk for py36-jsbsim-20150424r1 [79%] Processing wip/py-jsbsim:py37-jsbsim-20150424r1 ===> Bulk building for py37-jsbsim-20150424r1 Binary package for py37-jsbsim-20150424r1 is up-to-date. [80%] Processing wip/morse-mavlink:morse-mavlink-1.4 ===> Cleaning temporary files for morse-mavlink-1.4 ===> Bulk building for morse-mavlink-1.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/mavlink-20150929.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/morse-1.4~doc.tgz ERROR: Required robotpkg package py36-mavlink>=1.1.62: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for morse-mavlink-1.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for morse-mavlink-1.4 ===> Done bulk for morse-mavlink-1.4 [80%] Processing wip/infuse-novatel-gps-driver-ros:infuse-novatel-gps-driver-ros-0.1.0 ===> Cleaning temporary files for infuse-novatel-gps-driver-ros-0.1.0 ===> Bulk building for infuse-novatel-gps-driver-ros-0.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed WARNING: Cannot check installed version of libpcap => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-comm-1.14.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-common-msgs-1.12.6.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-console-bridge-0.5.2.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-diagnostics-1.9.3.tgz => Dependency ros-geometry-1.12.0 already installed => Required robotpkg package ros-gps-umd>=0.2.0: NOT found ERROR: Required robotpkg package ros-gps-umd>=0.2.0: NOT found => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-nodelet-core-1.9.16.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/ros-swri-math-util-2.3.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/ros-swri-nodelet-2.3.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/ros-swri-roscpp-2.3.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/ros-swri-serial-util-2.3.0.tgz ERROR: Required robotpkg package ros-swri-string-util>=2.3.0: BROKEN => Dependency tnftp-20130505~ssl already installed WARNING: Cannot check installed version of libpcap ===> Logging bulk summary for infuse-novatel-gps-driver-ros-0.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for infuse-novatel-gps-driver-ros-0.1.0 ===> Done bulk for infuse-novatel-gps-driver-ros-0.1.0 [80%] Processing wip/libmove3d-planners:libmove3d-planners-1.4.0 ===> Cleaning temporary files for libmove3d-planners-1.4.0 ===> Bulk building for libmove3d-planners-1.4.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed WARNING: Cannot check installed version of libXpm ERROR: Required robotpkg package libmove3d>=3.22.0: BROKEN ERROR: Required robotpkg package libmove3d-hri>=2.24: BROKEN => Dependency tnftp-20130505~ssl already installed WARNING: Cannot check installed version of libXpm ===> Logging bulk summary for libmove3d-planners-1.4.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for libmove3d-planners-1.4.0 ===> Done bulk for libmove3d-planners-1.4.0 [81%] Processing wip/infuse-asn1-conversions:infuse-asn1-conversions-0.4r1 ===> Cleaning temporary files for infuse-asn1-conversions-0.4r1 ===> Bulk building for infuse-asn1-conversions-0.4r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Required robotpkg package infuse-asn1-types>=0.2: N/A => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for infuse-asn1-conversions-0.4r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for infuse-asn1-conversions-0.4r1 ===> Done bulk for infuse-asn1-conversions-0.4r1 [81%] Processing wip/py-sot-dyninv-v3:py27-sot-dyninv-v3-3.1.1r1 ===> Cleaning temporary files for py27-sot-dyninv-v3-3.1.1r1 ===> Bulk building for py27-sot-dyninv-v3-3.1.1r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-sot-core-v3-3.2.0r1.tgz => Dependency sot-core-v3-3.2.0r3 already installed ERROR: Required robotpkg package sot-dyninv-v3>=2.0.0: BROKEN ERROR: Required robotpkg package soth>=2.0.0: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py27-sot-dyninv-v3-3.1.1r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-sot-dyninv-v3-3.1.1r1 ===> Done bulk for py27-sot-dyninv-v3-3.1.1r1 [81%] Processing wip/py-sot-dyninv-v3:py32-sot-dyninv-v3-3.1.1r1 ===> Bulk building for py32-sot-dyninv-v3-3.1.1r1 Binary package for py32-sot-dyninv-v3-3.1.1r1 is up-to-date. [82%] Processing wip/py-sot-dyninv-v3:py34-sot-dyninv-v3-3.1.1r1 ===> Bulk building for py34-sot-dyninv-v3-3.1.1r1 Binary package for py34-sot-dyninv-v3-3.1.1r1 is up-to-date. [82%] Processing wip/py-sot-dyninv-v3:py35-sot-dyninv-v3-3.1.1r1 ===> Bulk building for py35-sot-dyninv-v3-3.1.1r1 Binary package for py35-sot-dyninv-v3-3.1.1r1 is up-to-date. [82%] Processing wip/py-sot-dyninv-v3:py36-sot-dyninv-v3-3.1.1r1 ===> Cleaning temporary files for py36-sot-dyninv-v3-3.1.1r1 ===> Bulk building for py36-sot-dyninv-v3-3.1.1r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz ERROR: Required robotpkg package py36-dynamic-graph-v3>=3.0: BROKEN ERROR: Required robotpkg package py36-sot-core-v3>=3.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-core-v3-3.2.0r3.tgz ERROR: Required robotpkg package sot-dyninv-v3>=2.0.0: BROKEN ERROR: Required robotpkg package soth>=2.0.0: BROKEN => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py36-sot-dyninv-v3-3.1.1r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-dyninv-v3-3.1.1r1 ===> Done bulk for py36-sot-dyninv-v3-3.1.1r1 [83%] Processing wip/py-sot-dyninv-v3:py37-sot-dyninv-v3-3.1.1r1 ===> Bulk building for py37-sot-dyninv-v3-3.1.1r1 Binary package for py37-sot-dyninv-v3-3.1.1r1 is up-to-date. [83%] Processing wip/pal-gazebo-plugins:pal-gazebo-plugins-1.1.8 ===> Cleaning temporary files for pal-gazebo-plugins-1.1.8 ===> Bulk building for pal-gazebo-plugins-1.1.8 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package pal-msgs>=0.11.3: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-actionlib-1.11.13.tgz => Dependency ros-catkin-0.7.14 already installed => Dependency ros-class-loader-0.4.1 already installed => Dependency ros-comm-1.14.3 already installed => Dependency ros-common-msgs-1.12.6 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-control-toolbox-1.16.0.tgz => Dependency ros-genmsg-0.5.11 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-geometry-1.12.0.tgz => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-pluginlib-1.12.1 already installed => Dependency ros-ros-1.14.4 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for pal-gazebo-plugins-1.1.8 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-gazebo-plugins-1.1.8 ===> Done bulk for pal-gazebo-plugins-1.1.8 [83%] Processing wip/pal-hardware-interfaces:pal-hardware-interfaces-0.0.3 ===> Bulk building for pal-hardware-interfaces-0.0.3 Binary package for pal-hardware-interfaces-0.0.3 is up-to-date. [84%] Processing wip/dynamic-introspection:dynamic-introspection-1.0.8 ===> Cleaning temporary files for dynamic-introspection-1.0.8 ===> Bulk building for dynamic-introspection-1.0.8 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/backward-ros-0.1.6.tgz => Dependency digest-20080510 already installed ERROR: Required robotpkg package pal-statistics>=1.1.0: BROKEN => Dependency ros-catkin-0.7.14 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-cmake-modules-0.4.1.tgz => Dependency ros-genmsg-0.5.11 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-geometry-1.12.0.tgz => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for dynamic-introspection-1.0.8 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for dynamic-introspection-1.0.8 ===> Done bulk for dynamic-introspection-1.0.8 [84%] Processing wip/pal-transmissions:pal-transmissions-0.2.2r2 ===> Cleaning temporary files for pal-transmissions-0.2.2r2 ===> Bulk building for pal-transmissions-0.2.2r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/prf-ros-control-0.2.6r3.tgz => Dependency ros-catkin-0.7.14 already installed => Dependency ros-comm-1.14.3 already installed => Dependency ros-common-msgs-1.12.6 already installed => Dependency ros-genmsg-0.5.11 already installed => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.8 provided by python27>=2.7<2.8 => Use ros melodic: ros>=groovy provided by ros-melodic => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package py27-empy>=3: py27-empy-3.3.2 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package prf-ros-control>=0.2: prf-ros-control-0.2.6r3 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required robotpkg package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | "cmake_modules_DIR" to a directory containing one of the above files. If | "cmake_modules" provides a separate development package or SDK, be sure it | -- Configuring incomplete, errors occurred! | has been installed. | Call Stack (most recent call first): | CMakeLists.txt:5 (find_package) | See also "/local/robotpkg/var/tmp/robotpkg/wip/pal-transmissions/work/pal_transmissions-0.2.2/CMakeFiles/CMakeOutput.log". | | | See also "/local/robotpkg/var/tmp/robotpkg/wip/pal-transmissions/work/pal_transmissions-0.2.2/CMakeFiles/CMakeError.log". For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/pal-transmissions/work/configure.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: do-configure-cmake] Error 1 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking pal-transmissions-0.2.2r2 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for pal-transmissions-0.2.2r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-transmissions-0.2.2r2 ===> Done bulk for pal-transmissions-0.2.2r2 [84%] Processing wip/hrp2-bringup:hrp2-bringup-1.0.6 ===> Bulk building for hrp2-bringup-1.0.6 Binary package for hrp2-bringup-1.0.6 is up-to-date. [85%] Processing wip/prf-gazebo-ros-pkgs:prf-gazebo-ros-pkgs-2.6.8r1 ===> Cleaning temporary files for prf-gazebo-ros-pkgs-2.6.8r1 ===> Bulk building for prf-gazebo-ros-pkgs-2.6.8r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/prf-ros-control-0.2.6r3.tgz => Dependency ros-actionlib-1.11.13 already installed => Dependency ros-catkin-0.7.14 already installed => Dependency ros-class-loader-0.4.1 already installed => Dependency ros-comm-1.14.3 already installed => Dependency ros-common-msgs-1.12.6 already installed => Dependency ros-control-toolbox-1.16.0 already installed => Dependency ros-genmsg-0.5.11 already installed => Dependency ros-geometry-1.12.0 already installed => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-pluginlib-1.12.1 already installed => Dependency ros-ros-1.14.4 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency ros-urdf-1.13.1 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=4.8 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.8 provided by python27>=2.7<2.8 => Use ros melodic: ros>=groovy ros>=hydro provided by ros-melodic => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.8.3: cmake-3.11.2 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=4.8: g++-7 found => Required system package gazebo>=1: gazebo-8.1.1 found => Required system package gcc>=3: gcc-7 found => Required system package googletest: googletest found => Required system package libogre>=1.0: libogre-1.9.0 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package py27-empy>=3: py27-empy-3.3.2 found => Required system package py27-nose>=0.10: py27-nose-1.3.7 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required robotpkg package prf-ros-control>=0.2: prf-ros-control-0.2.6r3 found => Required robotpkg package ros-actionlib>=1.11<1.12: ros-actionlib-1.11.13 found => Required robotpkg package ros-catkin>=0.7<0.8: ros-catkin-0.7.14 found => Required robotpkg package ros-class-loader>=0.4<0.5: ros-class-loader-0.4.1 found => Required robotpkg package ros-comm>=1.13<1.15: ros-comm-1.14.3 found => Required robotpkg package ros-common-msgs>=1.12<1.13: ros-common-msgs-1.12.6 found => Required robotpkg package ros-control-toolbox>=1.16<1.17: ros-control-toolbox-1.16.0 found => Required robotpkg package ros-genmsg>=0.5<0.6: ros-genmsg-0.5.11 found => Required robotpkg package ros-geometry>=1.12<1.13: ros-geometry-1.12.0 found => Required robotpkg package ros-message-generation>=0.4<0.5: ros-message-generation-0.4.0 found => Required robotpkg package ros-message-runtime>=0.4<0.5: ros-message-runtime-0.4.12 found => Required robotpkg package ros-pluginlib>=1.12<1.13: ros-pluginlib-1.12.1 found => Required robotpkg package ros-ros>=1.14<1.15: ros-ros-1.14.4 found => Required robotpkg package ros-std-msgs>=0.5: ros-std-msgs-0.5.11 found => Required robotpkg package ros-urdf>=1.13<1.14: ros-urdf-1.13.1 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | "cmake_modules_DIR" to a directory containing one of the above files. If | "cmake_modules" provides a separate development package or SDK, be sure it | has been installed. | Call Stack (most recent call first): | gazebo_ros/CMakeLists.txt:4 (find_package) | | | -- Configuring incomplete, errors occurred! | See also "/local/robotpkg/var/tmp/robotpkg/wip/prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-2.6.8/build/CMakeFiles/CMakeOutput.log". | See also "/local/robotpkg/var/tmp/robotpkg/wip/prf-gazebo-ros-pkgs/work/gazebo_ros_pkgs-2.6.8/build/CMakeFiles/CMakeError.log". For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/prf-gazebo-ros-pkgs/work/configure.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/configure/cmake-configure.mk:100: do-configure-cmake] Error 1 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 => Marking prf-gazebo-ros-pkgs-2.6.8r1 as broken ERROR: make: *** [package] Error 2 ===> Logging bulk summary for prf-gazebo-ros-pkgs-2.6.8r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for prf-gazebo-ros-pkgs-2.6.8r1 ===> Done bulk for prf-gazebo-ros-pkgs-2.6.8r1 [85%] Processing wip/sot-torque-control:sot-torque-control-1.2.0 ===> Cleaning temporary files for sot-torque-control-1.2.0 ===> Bulk building for sot-torque-control-1.2.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/parametric-curves-1.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/simple-humanoid-description-1.0.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-core-v3-3.2.0r3.tgz => Dependency tnftp-20130505~ssl already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/tsid-1.0.2.tgz => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Required system package boost-headers>=1.34.1: boost-headers-1.64 found => Required system package boostlib-filesystem>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-iostreams>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-math>=1.34.1: boost-libs-1.64.0 found => Required system package boostlib-thread>=1.34.1: boost-libs-1.64.0 found => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.13 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package graphviz>=2: graphviz-2.40.1 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package urdfdom>=0.2.8<1: urdfdom-0.4.2 found => Required robotpkg package dynamic-graph-v3>=3.0.0: dynamic-graph-v3-3.2.0 found => Required robotpkg package hpp-fcl>=0.5: hpp-fcl-0.6.0 found => Required robotpkg package parametric-curves>=1.0.0: parametric-curves-1.2.0 found => Required robotpkg package pinocchio>=1.3.1: pinocchio-1.3.3 found => Required robotpkg package simple-humanoid-description>=1.0.1: simple-humanoid-description-1.0.1 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r3 found => Required robotpkg package tsid>=1.0.0: tsid-1.0.2 found => SHA1 checksums OK => RMD160 checksums OK An unexpected error occured. The last 10 log lines are shown below. | [ 34%] Built target joint-torque-controller | /local/robotpkg/var/tmp/robotpkg/wip/sot-torque-control/work/sot-torque-control-1.2.0/src/admittance-controller.cpp: In member function 'dynamicgraph::Vector& dynamicgraph::sot::torque_control::AdmittanceController::vDesLeftFootSOUT_function(dynamicgraph::Vector&, int)': | /local/robotpkg/var/tmp/robotpkg/wip/sot-torque-control/work/sot-torque-control-1.2.0/src/admittance-controller.cpp:372:7: warning: control reaches end of non-void function [-Wreturn-type] | } | ^ | make[2]: *** [src/CMakeFiles/admittance-controller.dir/build.make:66: src/CMakeFiles/admittance-controller.dir/admittance-controller.cpp.o] Error 1 | make[2]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/sot-torque-control/work/sot-torque-control-1.2.0' | make[1]: *** [CMakeFiles/Makefile2:640: src/CMakeFiles/admittance-controller.dir/all] Error 2 | make[1]: Leaving directory '/local/robotpkg/var/tmp/robotpkg/wip/sot-torque-control/work/sot-torque-control-1.2.0' | make: *** [Makefile:166: all] Error 2 For details or bug reports, check the complete log file in: => Marking sot-torque-control-1.2.0 as broken /local/robotpkg/var/tmp/robotpkg/wip/sot-torque-control/work/build.log make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/build/build.mk:199: do-build] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for sot-torque-control-1.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-torque-control-1.2.0 ===> Done bulk for sot-torque-control-1.2.0 [85%] Processing wip/spark-genom:spark-genom-3.9 ===> Cleaning temporary files for spark-genom-3.9~mightability+openprs+tcl+tclserv_client ===> Bulk building for spark-genom-3.9~mightability+openprs+tcl+tclserv_client => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/genBasic-genom-0.4r1~openprs+tcl+tclserv_client.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/genHum-genom-1.1r1~openprs+tcl+tclserv_client.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/genManip-genom-0.9~openprs+tcl+tclserv_client.tgz => Dependency genom-2.12~doc already installed ERROR: Required robotpkg package libmove3d>=3.22.0: BROKEN ERROR: Required robotpkg package libmove3d-hri>=2.24: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/libt3d-2.6~doc.tgz => Dependency libtclserv_client-0.5r1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/mkdep-2.9.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/mocap-genom-1.3~openprs+tcl+tclserv_client.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/niut-genom-0.6~openprs+tcl+tclserv_client.tgz => Dependency pocolibs-2.17 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pom-genom-0.7~openprs+tcl+tclserv_client.tgz => Dependency tclserv-2.8.1 already installed => Dependency tnftp-20130505~ssl already installed => Dependency transgen-1.1b1 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/viman-genom-1.6~openprs+tcl+tclserv_client.tgz ===> Logging bulk summary for spark-genom-3.9~mightability+openprs+tcl+tclserv_client => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for spark-genom-3.9~mightability+openprs+tcl+tclserv_client ===> Done bulk for spark-genom-3.9~mightability+openprs+tcl+tclserv_client [86%] Processing wip/prf-ros-controllers:prf-ros-controllers-0.3.5r3 ===> Bulk building for prf-ros-controllers-0.3.5r3 Binary package for prf-ros-controllers-0.3.5r3 is up-to-date. [86%] Processing wip/py-sot-dynamic-pinocchio-v3:py27-sot-dynamic-pinocchio-v3-3.2.4 ===> Cleaning temporary files for py27-sot-dynamic-pinocchio-v3-3.2.4 ===> Bulk building for py27-sot-dynamic-pinocchio-v3-3.2.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/py27-pinocchio-1.3.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-sot-core-v3-3.2.0r1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-sot-tools-v3-2.1.0.tgz => Dependency sot-core-v3-3.2.0r3 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-dynamic-pinocchio-v3-3.1.8.tgz => Dependency sot-tools-v3-2.1.0 already installed => Dependency tnftp-20130505~ssl already installed => Building with no option. => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-2.7: python>=2.5<3.8 provided by python27>=2.7<2.8 => Required system package cmake>=2.6: cmake-3.11.2 found => Required system package doxygen>=1.5: doxygen-1.8.13 found => Required system package eigen3>=3.0.0: eigen3-3.3.5 found => Required system package g++>=3: g++-7 found => Required system package gcc>=3: gcc-7 found => Required system package graphviz>=2: graphviz-2.40.1 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.3.12 found => Required system package python27>=2.7<2.8: python27-2.7.15 found => Required system package tinyxml>=2: tinyxml-2.6.2 found => Required system package urdfdom>=0.2.8<1: urdfdom-0.4.2 found => Required robotpkg package hpp-fcl>=0.5: hpp-fcl-0.6.0 found => Required robotpkg package pinocchio>=1.3.1: pinocchio-1.3.3 found => Required robotpkg package py27-pinocchio: py27-pinocchio-1.3.3 found => Required robotpkg package py27-sot-core-v3>=3.0.0: py27-sot-core-v3-3.2.0r1 found => Required robotpkg package py27-sot-tools-v3>=2.0: py27-sot-tools-v3-2.1.0 found => Required robotpkg package sot-core-v3>=3.0.0: sot-core-v3-3.2.0r3 found => Required robotpkg package sot-dynamic-pinocchio-v3>=3.1.1: sot-dynamic-pinocchio-v3-3.1.8 found => Required robotpkg package sot-tools-v3>=2.0: sot-tools-v3-2.1.0 found => SHA1 checksums OK => RMD160 checksums OK ERROR: ====================================================================== ERROR: Installation of py27-sot-dynamic-pinocchio-v3-3.2.4 would ERROR: overwrite already installed files. ERROR: ERROR: Files from wip/sot-dynamic-pinocchio-v3 package: ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/__init__.py ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/angle_estimator/__init__.py ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/angle_estimator/wrap.so ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/dynamic/__init__.py ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/dynamic/wrap.so ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/force_compensation/__init__.py ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/force_compensation/wrap.so ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/humanoid_robot.py ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/integrator_force/__init__.py ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/integrator_force/wrap.so ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/integrator_force_exact/__init__.py ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/integrator_force_exact/wrap.so => Marking py27-sot-dynamic-pinocchio-v3-3.2.4 as broken ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/integrator_force_rk4/__init__.py ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/integrator_force_rk4/wrap.so ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/mass_apparent/__init__.py ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/mass_apparent/wrap.so ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/parser.py ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/tools.py ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/waist_attitude_from_sensor/__init__.py ERROR: /opt/openrobots/lib/python2.7/site-packages/dynamic_graph/sot/dynamics_pinocchio/waist_attitude_from_sensor/wrap.so ERROR: [more conflicting files skipped] ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/py-sot-dynamic-pinocchio-v3/work/conflicts.log ERROR: ERROR: Use `make install confirm` in wip/py-sot-dynamic-pinocchio-v3 to force installation. ERROR: ====================================================================== make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/install.mk:110: pkg-install-check-files] Error 2 make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: pkg-check-installed] Error 2 ERROR: make: *** [package] Error 2 ===> Logging bulk summary for py27-sot-dynamic-pinocchio-v3-3.2.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-sot-dynamic-pinocchio-v3-3.2.4 ===> Done bulk for py27-sot-dynamic-pinocchio-v3-3.2.4 [86%] Processing wip/py-sot-dynamic-pinocchio-v3:py32-sot-dynamic-pinocchio-v3-3.2.4 ===> Bulk building for py32-sot-dynamic-pinocchio-v3-3.2.4 Binary package for py32-sot-dynamic-pinocchio-v3-3.2.4 is up-to-date. [87%] Processing wip/py-sot-dynamic-pinocchio-v3:py34-sot-dynamic-pinocchio-v3-3.2.4 ===> Bulk building for py34-sot-dynamic-pinocchio-v3-3.2.4 Binary package for py34-sot-dynamic-pinocchio-v3-3.2.4 is up-to-date. [87%] Processing wip/py-sot-dynamic-pinocchio-v3:py35-sot-dynamic-pinocchio-v3-3.2.4 ===> Bulk building for py35-sot-dynamic-pinocchio-v3-3.2.4 Binary package for py35-sot-dynamic-pinocchio-v3-3.2.4 is up-to-date. [87%] Processing wip/py-sot-dynamic-pinocchio-v3:py36-sot-dynamic-pinocchio-v3-3.2.4 ===> Cleaning temporary files for py36-sot-dynamic-pinocchio-v3-3.2.4 ===> Bulk building for py36-sot-dynamic-pinocchio-v3-3.2.4 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/py36-pinocchio-1.3.3.tgz ERROR: Required robotpkg package py36-sot-core-v3>=3.0.0: BROKEN ERROR: Required robotpkg package py36-sot-tools-v3>=2.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-core-v3-3.2.0r3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-dynamic-pinocchio-v3-3.1.8.tgz robotpkg_add: Package `py27-eigenpy-1.5.0' conflicts with `py[0-9][0-9]-eigenpy-[0-9]*', and `py36-eigenpy-1.5.0' is installed. robotpkg_add: Installed package `py36-eigenpy-1.5.0' conflicts with `py[0-9][0-9]-eigenpy-[0-9]*' when trying to install `py27-eigenpy-1.5.0'. robotpkg_add: Can't install dependency py27-eigenpy>=1.4.1 robotpkg_add: Can't install dependency py27-pinocchio robotpkg_add: 1 package addition failed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-tools-v3-2.1.0.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py36-sot-dynamic-pinocchio-v3-3.2.4 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-dynamic-pinocchio-v3-3.2.4 ===> Done bulk for py36-sot-dynamic-pinocchio-v3-3.2.4 [88%] Processing wip/py-sot-dynamic-pinocchio-v3:py37-sot-dynamic-pinocchio-v3-3.2.4 ===> Bulk building for py37-sot-dynamic-pinocchio-v3-3.2.4 Binary package for py37-sot-dynamic-pinocchio-v3-3.2.4 is up-to-date. [88%] Processing wip/hatponboard-lib:hatponboard-lib-3.4.0 ===> Bulk building for hatponboard-lib-3.4.0~enable-goal Binary package for hatponboard-lib-3.4.0~enable-goal is up-to-date. [88%] Processing wip/pal-gazebo-worlds:pal-gazebo-worlds-2.0.8r2 ===> Cleaning temporary files for pal-gazebo-worlds-2.0.8r2 ===> Bulk building for pal-gazebo-worlds-2.0.8r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package prf-gazebo-ros-pkgs>=2.6.5: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-catkin-0.7.14.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-roscpp-core-0.6.11.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for pal-gazebo-worlds-2.0.8r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-gazebo-worlds-2.0.8r2 ===> Done bulk for pal-gazebo-worlds-2.0.8r2 [89%] Processing wip/jrl-walkgen-v3:jrl-walkgen-v3-4.0.4 ===> Bulk building for jrl-walkgen-v3-4.0.4 Binary package for jrl-walkgen-v3-4.0.4 is up-to-date. [89%] Processing wip/prf-roboticsgroup-gazebo-plugins:prf-roboticsgroup-gazebo-plugins-0.1.0 ===> Cleaning temporary files for prf-roboticsgroup-gazebo-plugins-0.1.0 ===> Bulk building for prf-roboticsgroup-gazebo-plugins-0.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/pal-hardware-interfaces-0.0.3.tgz ERROR: Required robotpkg package prf-gazebo-ros-pkgs>=2.6.5: BROKEN => Dependency ros-actionlib-1.11.13 already installed => Dependency ros-catkin-0.7.14 already installed => Dependency ros-class-loader-0.4.1 already installed => Dependency ros-comm-1.14.3 already installed => Dependency ros-common-msgs-1.12.6 already installed => Dependency ros-control-toolbox-1.16.0 already installed => Dependency ros-genmsg-0.5.11 already installed => Dependency ros-geometry-1.12.0 already installed => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-pluginlib-1.12.1 already installed => Dependency ros-ros-1.14.4 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for prf-roboticsgroup-gazebo-plugins-0.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for prf-roboticsgroup-gazebo-plugins-0.1.0 ===> Done bulk for prf-roboticsgroup-gazebo-plugins-0.1.0 [89%] Processing wip/sot-hrp2-v3:sot-hrp2-v3-2.1.0 ===> Bulk building for sot-hrp2-v3-2.1.0 Binary package for sot-hrp2-v3-2.1.0 is up-to-date. [90%] Processing wip/py-sot-application-v3:py27-sot-application-v3-1.2.0r2 ===> Cleaning temporary files for py27-sot-application-v3-1.2.0r2 ===> Bulk building for py27-sot-application-v3-1.2.0r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/py27-pinocchio-1.3.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-sot-core-v3-3.2.0r1.tgz ERROR: Required robotpkg package py27-sot-dynamic-pinocchio-v3>=3.1.1: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-sot-tools-v3-2.1.0.tgz => Dependency sot-core-v3-3.2.0r3 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-dynamic-pinocchio-v3-3.1.8.tgz ERROR: Required robotpkg package sot-dyninv-v3>=2.0.0: BROKEN => Dependency sot-tools-v3-2.1.0 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py27-sot-application-v3-1.2.0r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-sot-application-v3-1.2.0r2 ===> Done bulk for py27-sot-application-v3-1.2.0r2 [90%] Processing wip/py-sot-application-v3:py32-sot-application-v3-1.2.0r2 ===> Bulk building for py32-sot-application-v3-1.2.0r2 Binary package for py32-sot-application-v3-1.2.0r2 is up-to-date. [90%] Processing wip/py-sot-application-v3:py34-sot-application-v3-1.2.0r2 ===> Bulk building for py34-sot-application-v3-1.2.0r2 Binary package for py34-sot-application-v3-1.2.0r2 is up-to-date. [91%] Processing wip/py-sot-application-v3:py35-sot-application-v3-1.2.0r2 ===> Bulk building for py35-sot-application-v3-1.2.0r2 Binary package for py35-sot-application-v3-1.2.0r2 is up-to-date. [91%] Processing wip/py-sot-application-v3:py36-sot-application-v3-1.2.0r2 ===> Cleaning temporary files for py36-sot-application-v3-1.2.0r2 ===> Bulk building for py36-sot-application-v3-1.2.0r2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz ERROR: Required robotpkg package py36-dynamic-graph-v3>=3.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/py36-pinocchio-1.3.3.tgz ERROR: Required robotpkg package py36-sot-core-v3>=3.0.0: BROKEN => Required robotpkg package py36-sot-dynamic-pinocchio-v3>=3.1.1: N/A ERROR: Required robotpkg package py36-sot-tools-v3>=2.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-core-v3-3.2.0r3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-dynamic-pinocchio-v3-3.1.8.tgz robotpkg_add: Package `py27-eigenpy-1.5.0' conflicts with `py[0-9][0-9]-eigenpy-[0-9]*', and `py36-eigenpy-1.5.0' is installed. robotpkg_add: Installed package `py36-eigenpy-1.5.0' conflicts with `py[0-9][0-9]-eigenpy-[0-9]*' when trying to install `py27-eigenpy-1.5.0'. robotpkg_add: Can't install dependency py27-eigenpy>=1.4.1 robotpkg_add: Can't install dependency py27-pinocchio robotpkg_add: 1 package addition failed ERROR: Required robotpkg package sot-dyninv-v3>=2.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-tools-v3-2.1.0.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py36-sot-application-v3-1.2.0r2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-application-v3-1.2.0r2 ===> Done bulk for py36-sot-application-v3-1.2.0r2 [91%] Processing wip/py-sot-application-v3:py37-sot-application-v3-1.2.0r2 ===> Bulk building for py37-sot-application-v3-1.2.0r2 Binary package for py37-sot-application-v3-1.2.0r2 is up-to-date. [92%] Processing wip/move3d-studio:move3d-studio-1.4r3 ===> Cleaning temporary files for move3d-studio-1.4r3~qtstudio ===> Bulk building for move3d-studio-1.4r3~qtstudio => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/gbM-0.11~tcl.tgz WARNING: Cannot check installed version of glpk WARNING: Cannot check installed version of libXpm ERROR: Required robotpkg package libmove3d>=3.22.0: BROKEN ERROR: Required robotpkg package libmove3d-hri>=2.24: BROKEN ERROR: Required robotpkg package libmove3d-planners>=1.4.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/softMotion-libs-3.12~tcl.tgz => Dependency tnftp-20130505~ssl already installed WARNING: Cannot check installed version of glpk WARNING: Cannot check installed version of libXpm ===> Logging bulk summary for move3d-studio-1.4r3~qtstudio => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for move3d-studio-1.4r3~qtstudio ===> Done bulk for move3d-studio-1.4r3~qtstudio [92%] Processing wip/pal-hardware-gazebo:pal-hardware-gazebo-0.1.2r1 ===> Cleaning temporary files for pal-hardware-gazebo-0.1.2r1 ===> Bulk building for pal-hardware-gazebo-0.1.2r1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed ERROR: Required robotpkg package dynamic-introspection>=1.0.5: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/pal-hardware-interfaces-0.0.3.tgz ERROR: Required robotpkg package pal-statistics>=1.1.0: BROKEN ERROR: Required robotpkg package prf-gazebo-ros-pkgs>=2.6.5: BROKEN => Dependency prf-ros-control-0.2.6r3 already installed => Dependency ros-catkin-0.7.14 already installed => Dependency ros-comm-1.14.3 already installed => Dependency ros-common-msgs-1.12.6 already installed => Dependency ros-control-toolbox-1.16.0 already installed => Dependency ros-genmsg-0.5.11 already installed => Dependency ros-message-generation-0.4.0 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for pal-hardware-gazebo-0.1.2r1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for pal-hardware-gazebo-0.1.2r1 ===> Done bulk for pal-hardware-gazebo-0.1.2r1 [92%] Processing wip/sot-hrp2:sot-hrp2-1.1.2 ===> Cleaning temporary files for sot-hrp2-1.1.2 ===> Bulk building for sot-hrp2-1.1.2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-2.5.7.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-bridge-2.0.9r1.tgz => Dependency dynamic-graph-bridge-msgs-0.2.0 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hrp2-14-1.9.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/hrp2-14-description-1.0.5.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/hrp2-bringup-1.0.6.tgz => Dependency hrp2-computer-monitor-1.0.2 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hrp2-dynamics-1.5.3.tgz => Dependency hrp2-machine-1.0.2 already installed => Dependency jrl-mal-1.19.6r1~jrl-mathtools already installed => Dependency py27-dynamic-graph-2.5.6r2 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/py27-sot-application-1.0.0r3.tgz => Dependency py27-sot-tools-1.0.1 already installed => Dependency ros-comm-1.14.3 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-realtime-tools-1.11.0 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency sot-core-2.9.10 already installed => Dependency sot-dynamic-2.9.2 already installed ERROR: Required robotpkg package sot-dyninv>=2.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/sot-pattern-generator-2.9.1.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for sot-hrp2-1.1.2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-hrp2-1.1.2 ===> Done bulk for sot-hrp2-1.1.2 [93%] Processing wip/talos-simulation:talos-simulation-0.1.4r2 ===> Bulk building for talos-simulation-0.1.4r2 Binary package for talos-simulation-0.1.4r2 is up-to-date. [93%] Processing wip/roscontrol-sot:roscontrol-sot-0.0.7r1 ===> Bulk building for roscontrol-sot-0.0.7r1 Binary package for roscontrol-sot-0.0.7r1 is up-to-date. [93%] Processing wip/openhrp3-hrp2:openhrp3-hrp2-1.2.1 ===> Cleaning temporary files for openhrp3-hrp2-1.2.1 ===> Bulk building for openhrp3-hrp2-1.2.1 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hrp2-14-1.9.3.tgz ERROR: Required robotpkg package openhrp3-simulator-wo-rtm>=1.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-dynamic-graph-bridge-v3-3.2.0.tgz => Dependency ros-catkin-0.7.14 already installed => Dependency ros-comm-1.14.3 already installed => Dependency ros-common-msgs-1.12.6 already installed => Dependency ros-std-msgs-0.5.11 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/ros-xacro-1.13.2.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-hrp2-v3-2.1.0.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for openhrp3-hrp2-1.2.1 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for openhrp3-hrp2-1.2.1 ===> Done bulk for openhrp3-hrp2-1.2.1 [94%] Processing wip/py-sot-torque-control:py27-sot-torque-control-1.2.0 ===> Cleaning temporary files for py27-sot-torque-control-1.2.0 ===> Bulk building for py27-sot-torque-control-1.2.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/parametric-curves-1.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-parametric-curves-1.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/py27-pinocchio-1.3.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-sot-core-v3-3.2.0r1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/simple-humanoid-description-1.0.1.tgz => Dependency sot-core-v3-3.2.0r3 already installed ERROR: Required robotpkg package sot-torque-control>=1.0.0: BROKEN => Dependency tnftp-20130505~ssl already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/tsid-1.0.2.tgz ===> Logging bulk summary for py27-sot-torque-control-1.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py27-sot-torque-control-1.2.0 ===> Done bulk for py27-sot-torque-control-1.2.0 [94%] Processing wip/py-sot-torque-control:py32-sot-torque-control-1.2.0 ===> Bulk building for py32-sot-torque-control-1.2.0 Binary package for py32-sot-torque-control-1.2.0 is up-to-date. [94%] Processing wip/py-sot-torque-control:py34-sot-torque-control-1.2.0 ===> Bulk building for py34-sot-torque-control-1.2.0 Binary package for py34-sot-torque-control-1.2.0 is up-to-date. [95%] Processing wip/py-sot-torque-control:py35-sot-torque-control-1.2.0 ===> Bulk building for py35-sot-torque-control-1.2.0 Binary package for py35-sot-torque-control-1.2.0 is up-to-date. [95%] Processing wip/py-sot-torque-control:py36-sot-torque-control-1.2.0 ===> Cleaning temporary files for py36-sot-torque-control-1.2.0 ===> Bulk building for py36-sot-torque-control-1.2.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/parametric-curves-1.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz ERROR: Required robotpkg package py36-dynamic-graph-v3>=3.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py36-parametric-curves-1.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/py36-pinocchio-1.3.3.tgz ERROR: Required robotpkg package py36-sot-core-v3>=3.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/simple-humanoid-description-1.0.1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-core-v3-3.2.0r3.tgz ERROR: Required robotpkg package sot-torque-control>=1.0.0: BROKEN => Dependency tnftp-20130505~ssl already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/tsid-1.0.2.tgz ===> Logging bulk summary for py36-sot-torque-control-1.2.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-torque-control-1.2.0 ===> Done bulk for py36-sot-torque-control-1.2.0 [95%] Processing wip/py-sot-torque-control:py37-sot-torque-control-1.2.0 ===> Bulk building for py37-sot-torque-control-1.2.0 Binary package for py37-sot-torque-control-1.2.0 is up-to-date. [96%] Processing wip/talos-metapkg-ros-control-sot:talos-metapkg-ros-control-sot-0.0.12 ===> Bulk building for talos-metapkg-ros-control-sot-0.0.12 Binary package for talos-metapkg-ros-control-sot-0.0.12 is up-to-date. [96%] Processing wip/hrp2-dev:hrp2-dev-20171009 ===> Cleaning temporary files for hrp2-dev-20171009 ===> Bulk building for hrp2-dev-20171009 => Checking for clear installation => Required system package gzip: gzip-1.8 found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/hrp2-14-description-1.0.5.tgz ERROR: Required robotpkg package openhrp3-hrp2>=1.0.0: BROKEN ===> Logging bulk summary for hrp2-dev-20171009 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for hrp2-dev-20171009 ===> Done bulk for hrp2-dev-20171009 [96%] Processing wip/sot-pattern-generator-v3:sot-pattern-generator-v3-3.1.0 ===> Bulk building for sot-pattern-generator-v3-3.1.0 Binary package for sot-pattern-generator-v3-3.1.0 is up-to-date. [97%] Processing wip/sot-talos:sot-talos-1.0.2 ===> Cleaning temporary files for sot-talos-1.0.2 ===> Bulk building for sot-talos-1.0.2 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-bridge-msgs-0.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/dynamic-graph-v3-3.2.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/pinocchio-1.3.3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-dynamic-graph-bridge-v3-3.2.0.tgz => Dependency py27-dynamic-graph-v3-3.2.0 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/py27-pinocchio-1.3.3.tgz ERROR: Required robotpkg package py27-sot-application-v3>=1.1.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-sot-core-v3-3.2.0r1.tgz ERROR: Required robotpkg package py27-sot-dynamic-pinocchio-v3>=3.1.1: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/py27-sot-tools-v3-2.1.0.tgz => Dependency ros-comm-1.14.3 already installed => Dependency ros-message-runtime-0.4.12 already installed => Dependency ros-std-msgs-0.5.11 already installed => Dependency sot-core-v3-3.2.0r3 already installed => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-dynamic-pinocchio-v3-3.1.8.tgz ERROR: Required robotpkg package sot-dyninv-v3>=2.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/talos-data-0.0.20r1.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for sot-talos-1.0.2 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for sot-talos-1.0.2 ===> Done bulk for sot-talos-1.0.2 [97%] Processing wip/py-sot-pattern-generator-v3:py27-sot-pattern-generator-v3-3.1.0 ===> Bulk building for py27-sot-pattern-generator-v3-3.1.0 Binary package for py27-sot-pattern-generator-v3-3.1.0 is up-to-date. [97%] Processing wip/py-sot-pattern-generator-v3:py32-sot-pattern-generator-v3-3.1.0 ===> Bulk building for py32-sot-pattern-generator-v3-3.1.0 Binary package for py32-sot-pattern-generator-v3-3.1.0 is up-to-date. [98%] Processing wip/py-sot-pattern-generator-v3:py34-sot-pattern-generator-v3-3.1.0 ===> Bulk building for py34-sot-pattern-generator-v3-3.1.0 Binary package for py34-sot-pattern-generator-v3-3.1.0 is up-to-date. [98%] Processing wip/py-sot-pattern-generator-v3:py35-sot-pattern-generator-v3-3.1.0 ===> Bulk building for py35-sot-pattern-generator-v3-3.1.0 Binary package for py35-sot-pattern-generator-v3-3.1.0 is up-to-date. [98%] Processing wip/py-sot-pattern-generator-v3:py36-sot-pattern-generator-v3-3.1.0 ===> Cleaning temporary files for py36-sot-pattern-generator-v3-3.1.0 ===> Bulk building for py36-sot-pattern-generator-v3-3.1.0 => Checking for clear installation => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/tnftp-20130505~ssl.tgz => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gzip: gzip-1.8 found => Required system package patch>=2.0: patch-2.7.6 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-27-x86_64/All/hpp-fcl-0.6.0.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/jrl-walkgen-v3-4.0.4.tgz => Dependency pinocchio-1.3.3 already installed ERROR: Required robotpkg package py36-sot-core-v3>=3.0.0: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-core-v3-3.2.0r3.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-pattern-generator-v3-3.1.0.tgz => Dependency tnftp-20130505~ssl already installed ===> Logging bulk summary for py36-sot-pattern-generator-v3-3.1.0 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for py36-sot-pattern-generator-v3-3.1.0 ===> Done bulk for py36-sot-pattern-generator-v3-3.1.0 [99%] Processing wip/py-sot-pattern-generator-v3:py37-sot-pattern-generator-v3-3.1.0 ===> Bulk building for py37-sot-pattern-generator-v3-3.1.0 Binary package for py37-sot-pattern-generator-v3-3.1.0 is up-to-date. [99%] Processing wip/talos-dev:talos-dev-20171009 ===> Cleaning temporary files for talos-dev-20171009 ===> Bulk building for talos-dev-20171009 => Checking for clear installation => Required system package gzip: gzip-1.8 found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found ERROR: Required robotpkg package prf-gazebo-ros-pkgs>=2.6.5: BROKEN => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-27-x86_64/All/sot-talos-0.0.4.tgz robotpkg_add: Dependency of ros-class-loader-0.4.1 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-genmsg-0.5.11 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-gencpp-0.6.0 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-geneus-2.2.6 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-genlisp-0.4.16 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-gennodejs-2.0.1 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-genpy-0.6.7 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-message-generation-0.4.0 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-roscpp-core-0.6.11 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-message-runtime-0.4.12 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-std-msgs-0.5.11 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-comm-msgs-1.11.2r1 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-rospack-2.5.1 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-ros-1.14.4 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-console-1.13.7 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-pluginlib-1.12.1 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of ros-comm-1.14.3 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Dependency of dynamic-graph-bridge-msgs-0.2.0 fulfilled by ros-catkin-0.7.14, but not by ros-catkin-0.6.9r2 robotpkg_add: Can't install dependency ros-catkin>=0.6<0.7 robotpkg_add: Can't install dependency dynamic-graph-bridge-v3>=3.0.0 robotpkg_add: 1 package addition failed => Required robotpkg package talos-metapkg-ros-control-sot>=0.0.1: N/A => Required robotpkg package talos-simulation>=0.0.13: N/A ===> Logging bulk summary for talos-dev-20171009 => Checking leftover files => Creating bulk log files => Logging bulk metadata ===> Cleaning temporary files for talos-dev-20171009 ===> Done bulk for talos-dev-20171009 ===> Done bulk for rbulk wip set real 52m13.552s user 61m22.330s sys 8m58.327s --- Updating bulk database --------------------------------------- Collecting session logs in /local/robotpkg/var/log/bulk updated move3d-studio-1.4r3~qtstudio updated mraa-1.9.0 updated py36-sot-core-v3-3.3.0 updated prf-gazebo-ros-pkgs-2.6.8r1 updated octoviz-1.6.1 updated pal-gripper-0.0.13 updated morse-ros-1.4 updated ur5-description-1.0.1 updated gerard-bauzil-1.0.1 updated py36-sot-pattern-generator-v3-3.1.0 updated CppADCodeGen-2.3.0 updated py27-example-adder-1.0.0 updated py36-dynamic-graph-v3-3.2.0 updated infuse-asn1-conversions-0.4r1 updated py36-mavlink-1.1.62 updated libmove3d-planners-1.4.0 updated sot-core-v3-3.3.0 updated sot-torque-control-1.2.0 updated pal-statistics-1.1.0 updated py36-jsbsim-20150424r1 updated morse-hla-1.4 updated soth-2.0.3 updated py36-sot-dyninv-v3-3.1.1r1 updated sot-dyninv-v3-3.1.1r1 updated infuse-envire-0.1.1 updated libmove3d-3.22.0r1 updated pal-gazebo-worlds-2.0.8r2 updated infuse-novatel-gps-driver-ros-0.1.0 updated roralink-0.3.0-Source updated py36-dynamic-graph-bridge-v3-3.2.0 updated py36-sot-dynamic-pinocchio-v3-3.2.4 updated spark-genom-3.9~mightability+openprs+tcl+tclserv_client updated openhrp3-simulator-wo-rtm-1.2.0 updated py36-example-adder-1.0.0 updated py36-sot-application-v3-1.2.0r2 updated play-motion-0.4.5 updated orocos-dot_service-20120308 updated tsid-1.1.0 updated morse-mavlink-1.4 updated libmove3d-hri-2.24 updated pal-hardware-gazebo-0.1.2r1 updated py36-rqt-dynamic-graph-1.0.0 updated dynamic-introspection-1.0.8 updated metapod-1.0.10 updated prf-roboticsgroup-gazebo-plugins-0.1.0 updated py27-sot-torque-control-1.2.0 updated osg-dae-3.2.1r2 updated example-adder-1.0.0 updated py36-sot-torque-control-1.2.0 updated openhrp3-hrp2-1.2.1 updated py36-dynamic-graph-tutorial-1.1.1 updated pal-msgs-0.11.3 updated py27-sot-core-v3-3.3.0 updated pal-transmissions-0.2.2r2 updated py27-sot-dynamic-pinocchio-v3-3.2.4 updated infuse-asn1-types-0.3 updated py36-sot-tools-v3-2.1.0 updated hrp2-dev-20171009 updated sot-talos-1.0.2 updated py36-hla-1.1.1r1 updated tiago-robot-0.0.35os1 updated py27-sot-dyninv-v3-3.1.1r1 updated sot-hrp2-1.1.2 updated py27-jsbsim-20150424r1 updated talos-dev-20171009 updated sot-dyninv-2.0.0r1 updated py27-sot-application-v3-1.2.0r2 updated sot-dynamic-pinocchio-v3-3.2.4 updated pyrene-motions updated ros-swri-string-util-2.3.0 updated pal-gazebo-plugins-1.1.8 updated orocos-yarp_transport-20150316~doc processed 72 packages